aptitude (0.8.11-7) unstable; urgency=medium

  * Change Homepage header from vanished aptitude.alioth.debian.org site
    to https://wiki.debian.org/Aptitude. Thanks to henk for the reminder!
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Make all patches DEP-3 compliant by adding according meta data.
  * Drop unused lintian override wrt. to a missing watch file.
  * Add lintian override for warnings about its inline documentation
    located at /usr/share/aptitude/README*.
  * Add a bunch of generated documentation XML files to debian/clean.

 -- Axel Beckert <abe@debian.org>  Thu, 14 Feb 2019 01:51:08 +0100

aptitude (0.8.11-6) unstable; urgency=medium

  * Build-Depends: do not require Boost version 1.67 or greater:
    - boost-defaults already points to 1.67 on most arches so we don't need
      to ensure that aptitude builds against that version after the needed
      fix
    - and boost1.67 fails to build in some architectures and aptitude is
      used as resolver in some builders, so it's important to keep things
      working even if it's built against an older boost

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 18 Nov 2018 22:58:28 +0100

aptitude (0.8.11-5) unstable; urgency=medium

  * Add new line to debian/patches/series, the upload of the last version
    was rejected:

      lintian output: 'quilt-series-without-trailing-newline ',
      automatically rejected package.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 16 Nov 2018 10:38:48 +0100

aptitude (0.8.11-4) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/copyright: update Source URL and copyright years
  * d/watch: add
  * Change Build-Depends related to Boost
    - Change Build-Depends to require Boost version 1.67 or greater
    - Remove Boost::Filesystem (not used in this upstream version, but had
      not been removed yet as build-dependency in d/control)
    - Add Boost::System, it was already used before but it needs to be
      pulled in explicitly now
  * d/patches:
    - add changelogs-debian-ports.patch to allow to view changelogs of packages
      from Debian Ports repositories
    - add support-boost1.67.patch to support Boost >= 1.66, problems due
      to change of behaviour in Boost.MultiIndex library.  Thanks to Julian
      Andres Klode.

  [ Chris Lamb ]
  * Drop override for missing-depends-on-sensible-utils now that #904936
    in Lintian is fixed and in stretch-backports.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 16 Nov 2018 03:35:30 +0100

aptitude (0.8.11-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Fix Vcs-Git header, ".git" was missing in the URL.
  * Add lintian overrides for missing-depends-on-sensible-utils due to
    false positives in aptitude-common's aptitude.mo locale files.
  * Add a minimal DEP3 patch header to fix-changelog-retrieval.patch.

  [ Manuel A. Fernandez Montecelo ]
  * d/patches:
    - add fix-crash-907436.patch to fix crashes when Label of a repository
      is empty (Closes: #907436)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Sep 2018 01:21:15 +0200

aptitude (0.8.11-2) unstable; urgency=medium

  * Release to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 07 Sep 2018 22:05:46 +0200

aptitude (0.8.11-1) experimental; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * Add search term for release label (?label) (Closes: #892983)
        by Tomas Pospisek <tpo_deb@sourcepole.ch>

    - Documentation:
      * Change en/README_encoding to use utf-8 as all the other languages,
        instead of iso-8859-1

    - Internal changes:
      * Misc changes to adapt to GCC-8, use C++17 standard library instead
        of Boost (e.g. filesystem, optional), and other updates to the build
        system

    - Translation updates:
      * zh_CN.po: Simplified Chinese translation by Boyuan Yang
        (Closes: #885916)
      * ru.po: Russian translation by Lev Lamberov (Closes: #893027)
      * Russian documentation translation by Lev Lamberov (Closes: #893028)


  * d/patches:
    - drop fix-missing-mkinstalldirs.patch, fixed in the upstream code
    - add fix-changelog-retrieval.patch to fix changelog downloads

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 29 Jul 2018 18:09:10 +0200

aptitude (0.8.10-9) unstable; urgency=medium

  * Release to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 27 Apr 2018 09:57:04 +0200

aptitude (0.8.10-8) experimental; urgency=medium

  * google-mock does not provide the -dev files anymore, this was changed
    in the last few days (#896559) and was not announced (at least not
    through BTS to reverse-dependencies like aptitude)
    - Set build depends to libgmock-dev and libgtest-dev, both (>= 1.8.0-9)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 27 Apr 2018 02:39:08 +0200

aptitude (0.8.10-7) unstable; urgency=medium

  [ Sven Joachim ]
  * Build-Depend on libcwidget-dev (>= 0.5.17-8) and
    libncurses-dev (>= 6.1+20180210) (Closes: #891239).

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 4.1.4 (no changes needed)
  * Switch Vcs-* fields from Alitoh to Salsa

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 27 Apr 2018 01:31:22 +0200

aptitude (0.8.10-6) unstable; urgency=medium

  * Bump Breaks/Replaces of aptitude-common to aptitude (<< 0.8.10-4) from
    an ancient version 0.6.8-1, because in 0.8.10-4 we moved the manpages
    from the main package to -common without adding these changes.
    (Closes: #887421)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 17 Jan 2018 00:17:09 +0100

aptitude (0.8.10-5) unstable; urgency=medium

  * Release to unstable
  * Also move po4a to Build-Depends-Indep, only needed for doc translations

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 15 Jan 2018 18:25:17 +0100

aptitude (0.8.10-4) experimental; urgency=medium

  * Improve builds using -indep/-arch and skipping docs for -arch
    + Move doc-related dependencies to Build-Depends-Indep, create
      separate -indep/-arch targets.

      In this way we can disable building the docs for each arch; and
      obtain huge savings in terms of resources (time, disk, network),
      because some of these dependencies pull lots of packages.

      The doc-related dependencies are:
      - docbook-xml
      - docbook-xsl
      - elinks
      - librsvg2-bin
      - xsltproc

    + Move man pages to aptitude-common, it's depended on by the binary
      package and so we save ~200KB in the arch packages.

      The biggest saving is that we can avoid building docs in -arch and
      having to pull the dependencies explained in 1).

    + Disable tests for boost headers at configure time.

      They take 30~50 seconds in fast computers, and haven't failed for a
      few years, so they provide very little value.  If there's something
      wrong, the compilations will fail only a few seconds later.

      In any case, they could pass the initial test and fail later anyway,
      Boost libraries sometimes change APIs in incompatible ways.

  * Remove special workaround in d/rules due to bug #580085 from 2010 in
    s390 (now superseded by s390x) and sh4, forcing "gcc -fno-gcse"
    (optimisation enabled by default at levels -O2, -O3 and -Os)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 14 Jan 2018 23:02:55 +0100

aptitude (0.8.10-3) unstable; urgency=medium

  * Reinstate elinks and librsvg2-bin as arch-dependent Build-Depends to
    avoid FTBFS in buildds (they appeared to be working due to a flaw when
    testing)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 04 Jan 2018 02:07:06 +0100

aptitude (0.8.10-2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Move elinks and librsvg2-bin to Build-Depends-Indep, needed only for
    arch:all doc packages

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 03 Jan 2018 22:22:19 +0100

aptitude (0.8.10-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - User visible changes:
      * [Guillem Jover] Update section descriptions: Add "golang". Remove
        long-obsolete "non-US".  (Closes: #880478)

    - Bug fixes:
      * Restore ability to download changelogs with recent libapt
        (Closes: #881422)

    - Internal changes:
      * Remove m4/ with embedded copies of building-system helpers.  The
        debian part of the package will depend on autoconf-archive to provide
        those needed.

  * Build-Depend on autoconf-archive (to remove embedded copies of ./m4/
    in the upstream part)
    - Add temporary fix-missing-mkinstalldirs.patch for last minute
      problem related with this removal

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.1.
    + Change debian/copyright DEP5 format URL to HTTPS.
  * Set "Rules-Requires-Root: no".
  * Drop debian/aptitude.lintian-overrides, no more needed.
  * Remove trailing whitespace from ancient debian/changelog entries.
  * debian/source/lintian-overrides: Add debian-watch-file-is-missing.
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop --parallel from debian/rules, now implicit.
    + Drop build-dependency on automake, now implicit via debhelper and
      dh-autoreconf (and not called directly anyways).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 15 Nov 2017 23:36:58 +0100

aptitude (0.8.9-1) unstable; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - Bug fixes:
      * Fix crash due to wrong string pointer being printed (Closes: #865346)
      * Fix compilation error with GCC 7 (Closes: #853316)

    - Translation updates:
      * Dutch documentation translation by Frans Spiesschaert (Closes: #867980)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 19 Aug 2017 19:15:28 +0200

aptitude (0.8.8-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - User visible changes:
      * Avoid spurious warnings about unused code paths (Closes: #863755)

    - Documentation improvements:
      * Replace minimal example for configuring resolver hints with a full
        example. (Closes: #702565, part 1)
      * Document keywords "maximum" and "minimum" for cost levels.
        (Closes: #702565, part 2)
      * Mention in the man page that a tilde character in front of an
        order keyword reverses the order. (Closes: #814038)

    - Translation updates:
      * da.po: Danish translation by Morten Bo Johansen (Closes: #861087)
      * cs.po, aptitude-defaults.cs: Czech translation by Miroslav Kure
        (Closes: #861940)
      * nl.po: Dutch translation by Frans Spiesschaert (Closes: #862922)
      * Dutch documentation translation by Frans Spiesschaert (Closes: #861709)


  * d/control: Set package priority to Optional instead of Important
    (Closes: #861425)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 11 Jun 2017 01:38:34 +0200

aptitude (0.8.7-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - User visible changes:
      * Warn about invalid locales (Closes: #859907)

    - Bug fixes:
      * Preserve auto-installed flag with hold/unhold/keep operations
        (Closes: #843536)
      * [cmdline] Fix extreme slowness of keep-all (Closes: #842707)
      * Avoid problems or improve response in problems related to reinstalling
        (Closes:  #851901)
      * [cmdline] Failing to apply actions are not fatal with -f /
        Aptitude::CmdLine::Fix-Broken (Closes: #835372)

    - Translation updates:
      * Italian documentation translation by Beatrice Torracca (Closes: #858784)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Apr 2017 00:22:12 +0200

aptitude (0.8.6-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - User visible changes:
      * [cmdline] Better message when there are no deb-src in sources.list
        (Closes: #841875)

    - Bug fixes:
      * Use a more strict mask for comparison of dependency operators, thanks to
        Aaron M. Ucko for the initial patch (Closes: #836567, #837946, #849370)
      * Fix reading tag and their classification in subtrees (Closes: #853037)
      * Fix misdetection of auto-installed packages from apt
        (Closes: #831858, #841347)

    - Translation updates:
      * ru.po: Russian translation by Lev Lamberov (Closes: #855329)
      * Dutch documentation translation by Frans Spiesschaert (Closes: #854897)


  * Remove wrong "From:" from contributor name in prev. changelog entry.
  * d/patches:
    - drop ftbfs-fix-french-doc.patch

  [ Axel Beckert ]
  * Restrict build-dependency on google-mock to >= 1.8.0 as aptitude FTBFS
    with earlier versions since the adaptions for 1.8.0 in 0.8.4-1.
    (Closes: #852666)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 05 Mar 2017 23:19:57 +0100

aptitude (0.8.5-1) unstable; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - Translation updates:
      * ru.po: Russian translation by Ulyanich Michael and Lev Lamberov
        (Closes: #849761)
      * nl.po: Dutch translation by Frans Spiesschaert (Closes: #851888)
      * Dutch documentation translation by Frans Spiesschaert (Closes: #851890)
      * French documentation translation by Cédric Boutillier (Closes: #852352)


  * d/patches:
    - ftbfs-fix-french-doc.patch: Fix missing "</keycombo>" that causes FTBFS

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 24 Jan 2017 23:24:47 +0100

aptitude (0.8.4-1) unstable; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - User visible changes:
      * Updated section list and added descriptions. Thanks Josh Triplett!
        (Closes: #847530)
      * Support for Build-Depends/Conflicts-Arch, by David Kalnischkies
        (Closes: #843789)

    - Bug fixes:
      * [curses] Do not fail immediately and attempt to continue when some
        package lists cannot be updated (Closes: #834790)

    - Internal changes:
      * Support recent versions of googletest and google-mock, change of paths:
        /usr/src/gtest -> /usr/src/googletest/googletest
        /usr/src/gmock -> /usr/src/googletest/googlmock

    - Translation updates:
      * cs.po: Czech translation by Miroslav Kure (Closes: #838790)
      * help-cs.txt: Czech translation by Miroslav Kure (Closes: #838790)
      * nl.po: Dutch translation by Frans Spiesschaert (Closes: #841116)
      * aptitude-defaults.ru: Russian translation of updated section list by
        Lev Lamberov (Closes: #847965)
      * Dutch documentation translation by Frans Spiesschaert (Closes: #842186)


  * d/rules: Do not force "-std=c++14", it's the default with GCC-6

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 27 Dec 2016 23:27:07 +0100

aptitude (0.8.3-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - User visible changes:
      * [cmdline] Commands "markauto", "unmarkauto", "hold", "unhold", "keep",
        "keep-all" and "forbid-version" now work independently of other action
        commands and they will not try to go ahead with pre-scheduled actions
        (Closes: #142699, #567079, #764299)

    - Bug fixes:
      * [curses] Use single-line for "forget-new" dialog when using minibuf
        prompts (Closes: #832363)
      * [cmdline] "download", "source" and others provided by a thin wrapper
        over apt tools now accept "-t" and other options (Closes: #832320)
      * [cmdline] Document "source" and "showsrc" in --help (Closes: #833584)
      * [cmdline] Saying 'n' to a solution jumps to the end of the generated
        solutions and tries to generate a new one (Closes: #832907)
      * Fix code preventing to save package selection states to dpkg
        (Closes: #825866, #833588)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 07 Aug 2016 12:00:02 +0100

aptitude (0.8.2-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * [cmdline] New commands "showsrc" and "source"
        (Closes: #243412, #403372, #403631)
      * [cmdline] "forget-new" accepts package names and pattern arguments
      * [curses] "forget-new" accepts package names and pattern arguments
        (Closes: #421043)

    - Bug fixes:
      * [curses] Apply solution ('!') guarded against crash when there are
        no solutions (Closes: #823734)
      * [cmdline] Command "download" now provided by a thin wrapper over
        apt tools (Closes: #431568)
      * [curses] Flat view changed to honour ::Pkg-Display-Limit if exists
        (Closes: #814037)
      * Fix crash caused in infer_reason.cc for pkg_unused_remove
        (Closes: #824441)
      * [cmdline] Fix for code that failed to fetch the changelog for
        source packages.  Thanks Emmanouil Maroudas for the fix.
        (Closes: #827133)

    - User visible changes:
     * [curses] Change TUI message after "pressing 'q' and then 'Enter'"
       to no more mention "shutting down". Use "quitting" instead.

    - Documentation:
      * Guide/User's Manual:
        * Enhance the documentation of the use of "architecture
          specification" for ?architecture search pattern arguments, instead
          of simple string matches (Closes: #823927)
        * Add clarification for ?any-version search pattern (Closes: #691531)
      * manpage:
        * Remove outdated exceptions of -t/--target-release for "changelog",
          "download" and "show" (Closes: #693684, #821866)
        * Describe aptitude-[create|run]-state-bundle as for internal use only
          (Closes: #521190)

    - Translation updates:
      * Russian documentation translation by Lev Lamberov (Closes: #829681)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 23 Jul 2016 23:02:42 +0100

aptitude (0.8.1-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - Bug fixes:
      * Install new Essential or Required packages with the commands
        "full-upgrade" (command line) and MarkUpgradable ('U' in the curses
        interface) (Closes: #555896, #757028)
      * Do not prevent to remove/purge aptitude if already removed or purged
        (Closes: #822331)
      * [curses] Indent section descriptions in subtrees (Closes: #103416)
      * Invoke the resolver for unfulfilled Recommends only once
        (Closes: #822329)
      * [curses] Be more verbose when quitting after dpkg actions
        (Closes: #822560)

    - Translation updates:
      * ja.po: Japanese translation by Takuma Yamada (Closes: #822208)
      * nl.po: Dutch translation by Frans Spiesschaert (Closes: #822889)
      * Dutch documentation translation by Frans Spiesschaert
        (Closes: #822890)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 05 May 2016 20:50:08 +0100

aptitude (0.8-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * Detect and suggest solutions when pkgstates is corrupt (Closes: #405506)
      * Allow to choose between localized logs or not (default is not) with the
        option ::Localized-Log (Closes: #357828, #596221)
      * [curses] Left/Right arrow keys collapse/expand one level of the subtree,
        and when in a package item (row) Left jumps to "parent"
        (Closes: #157984, #241945, #415449)
      * [curses] Be able to Quit after dpkg run (Closes: #246672)

    - Bug fixes:
      * ~E pattern now returns packages with Essential only (Closes: #548505)
      * Detect as "Security Upgrades" when site matches security.*.d.o
        (Closes: #328620)
      * Allow to run in dumb terminals when not requiring curses preview or
        solution screen (Closes: #817276)
      * "reinstall" planned action is now preserved across sessions, when
        becoming root or in the command line with --schedule-only
        (Closes: #255587, #785641)
      * Fix crash when invoking curses resolver from command line
        (Closes: #817776)
      * Update internal state for upgrades without target version after the
        action is performed (Closes: #721426)
      * [curses] Fix for miscalculated Download Size field (Closes: #817547)
      * Marking as keep, through ':' or other actions, clears Forbidden version
      * Fix cases where user tags operations did not apply (Closes: #819002)
      * Actions involving unfulfilled Recommends invoke the resolver
        (Closes: #819636)
      * Enhance infer_reason() to explain more cases of pkg_unused_remove
        (Closes: #266061)

    - User visible changes:
      * [cmdline] Output in dumb terminals, when there is no piping/redirection
        involved and even if ioctl doesn't work to get window size (e.g. inside
        emacs), will now use COLUMNS instead of the default very big default
        width
      * Format string scapes for Source (%E->%e) and Architecture (%e->%E)
        swapped (for consistency with search patterns, fix for #743769)
      * New short form "~e" for search term "?source-package" (Closes: #743769)
      * [curses] Remove option to run "dpkg-reconfigure" on a given package
        (Closes: #680334, #686626, #738350)
      * [cmdline] Solution screen for "Remove the following packages" shows
        version and suite

    - User visible changes (Resolver):
      This subsection is to separate the (many) changes of the Resolver in this
      version from other changes.  Many more details in the "upstream" changelog
      (NEWS).

      Executive summary:
      * Changes to the order in which solutions are offered in conflict
        resolutions, so upgrades or keeps are preferred over removal of many
        packages
        (Closes: #341963, #359171, #365644, #453935, #569315, #570377, #574132,
                 #588202, #610845, #651410, #651947, #653284, #661678, #722211,
                 #798240)

      A more detailed description of individual changes follows:
      * Modify several resolver scores config variables
          ::ProblemResolver::RequiredScore  = 8  (was: 4)
          ::ProblemResolver::ImportantScore = 4  (was: 5)
          ::ProblemResolver::StandardScore  = 2  (was: 3)
          ::ProblemResolver::OptionalScore  = 1
          ::ProblemResolver::ExtraScore     = 0  (was: -1)
      * Add new score for removal of obsolete package and corresponding config
        variable ::ProblemResolver::RemoveObsoleteScore
        Default to 310 to allow for easier upgrades and to counter the penalty
        to remove packages (default -300).
      * Add new score for partial solutions cancelling the removal of a package
        and corresponding config variable ::ProblemResolver::CancelRemovalScore
        Resolver actions cancelling the removal (or purge) of a package
        requested to be removed/purged were not being penalised, now they are
        (default -300).
      * Only add Preserve{Auto,Manual}Score if the packages are actually
        installed
        Without this, the algorithm was assigning extra score +60 (default
        PreserveManualScore) for packages which remained uninstalled
        (were not to be installed) and when the user actually didn't select
        them manually -- even if the justification was "because it is the
        to-be-installed version of a manually installed package".
      * Change the default score of several ::ProblemResolver config variables
        * ::StepScore to -10 (was +70)
        * ::PreserveManualScore to +20 (was +60)
        * ::UpgradeScore to +30 (was 0)
        * ::Keep-All-Level to 10000 (was 20000)
      * Change how the costs are compared
      * Apply InstallScore and UpgradeScore also when the packages are not
        "manual"

    - Internal changes:
      * configure.ac: Allow to disable check for Boost library headers
        individually
      * Avoid extra code calling apt_load_cache() when already loaded
      * [cmdline] Rejecting a solution advances to the next one only
      * [General] Update FSF's postal address everywhere, drop duplicated
        boilerplates

    - Documentation:
      * manpage:
        * Minor clarification about "install" example (Closes: #268698)

    - Translation updates:
      * da.po: Danish translation by Morten Bo Johansen (Closes: #817065)
      * ja.po: Japanese translation by Takuma Yamada (Closes: #819603)
      * Actually enable Dutch (nl) documentation translation by Frans
        Spiesschaert


  * Add aptitude-doc-nl package
  * d/control: Drop Build-dependencies present for a long time but which
    haven't been used in the last few years:
    - libboost-python-dev
    - libboost-serialization-dev

  [ Axel Beckert ]
  * Demote Recommends on HTML documentation to Suggests. (Closes: #820452)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Homepage header from http:// to https://.
  * Switch Vcs-Git header from git:// to https://.
  * Convert debian/copyright to machine-readable DEP5 format and overhaul it.
  * debian/rules: Use --dbgsym-migration instead of --ddeb-migration.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 20 Apr 2016 16:35:17 +0100

aptitude (0.7.8-1) unstable; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - Bug fixes:
      * Allow update to happen at the start ("-u") (Closes: #816385)
      * Extra check in update_pkgAcquire_fetch_info() to make sure that
        pkgRecords / apt_packagerecords is available
      * Now explains packages being removed when deps are broken
        (Closes: #342835)
      * Avoid crash due to divide by zero in progress counters (Closes: #816431)
      * load_tags_from_verfiles(): guard against progress pointer being null
      * Use factory from APT to support different progress bars for dpkg actions
        (Closes: #816520)
      * Fix problem with recent change that prevented to work with local
        repositories (Closes: #816537)
      * Fixing crash when invoking curses resolver from command line
        (Closes: #816322)
      * Fix problem with auto-flag due to persistent Auto-New-Install in
        pkgstates (Closes: #816497)
      * Convert std::sprintf to std::snprintf (Closes: #767533)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 05 Mar 2016 18:29:05 +0000

aptitude (0.7.7-1) unstable; urgency=low

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * Only lock package cache dirs and call pkgAcquire->Run() when necessary
        (Closes: #766122)
      * [curses] Bindings for reject/approval of solutions in resolver can
        be applied to subtrees (Closes:#475595)
      * Several optimizations that improve performance at startup and when
        reading/writing files (Closes: #312920)
      * [curses] Download Size field shows remaining to be fetched
        (Closes: #446085)

    - Bug fixes:
      * [cmdline] Fix crash with "show" and not installed packages
        (Closes: #815581)
      * [curses] Fix for wrong width/properties of some columns in the
        columnizer, incl. "hostname" rendered with 4 characters instead
        of 8 (Closes: #815554)
      * [curses] Fix crash when trying to view changelog.  Thanks Wei-Cheng Pan
        for the fix.  (Closes: #815635)
      * [cmdline] In "search" and "versions", when width is set explicitly,
        pipes/redirections do not act as --disable-columns (Closes: #815690)
      * [curses] "%r" (revdepcount) now includes virtual packages
        (Closes: #320089)
      * [curses] infer_reason() for pkg_unused_removed now has
        recommends/suggests into account in all cases (Closes: #476596)
      * Fixed case of packages wrongly being marked with auto-flag upon start
        (Closes: #816229)
      * Packages to "keep" when applying solutions of the resolver maintain
        current manual/auto (Closes: #815551)

    - User visible changes:
      * [curses] Change "Will use/free %sB of disk space" for "Disk: %sB"
      * [curses] In Preview screen, bottom pannel, improve dependency reasons
        explanations for package to be installed (Closes: #814592)
      * [curses] Remove option to run "reportbug" on a given package or package
        version (Closes: #463510)
      * [cmdline] Operations like "show", "search", "versions", "why"/"why-not"
        or "changelog" do not need to lock dpkg state directories
        (Closes: #498061)

    - Internal changes:
      * Support for most changes in recent versions of apt
        (Closes: #687678, #687686, #687688, #687684)
      * Move the definition methods of dpkg_selections to the headers
        (optimization)
      * Lazy initialization of reading "tasks" information (optimization)
      * Optimizations when reading/writing files
      * Optimizations when reading debtags
      * Optimizations when building trees for package views

    - Translation updates:
      * Dutch documentation translation by Frans Spiesschaert (Closes: #815183)
      * Dutch translation by Frans Spiesschaert (Closes: #815185)

  * d/patches:
    - Drop patch to fix problem building due to string formatting and
      strict compiler checks (added "upstream")
      - ftbfs-string-format.patch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 01 Mar 2016 00:12:09 +0000

aptitude (0.7.6-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * [cmdline] "show -v" shows all hashes, not only MD5Sum
      * Improvements to "why"/"why-not" (Closes: #729349)
      * Add support to clean the packages downloaded after successful
        install or similar operations (config option ::Clean-After-Install)
        (Closes: #110685)
      * [curses] "Keep" now works in version nodes (Closes: #585182)
      * [curses] "Install" on virtual packages now installs single candidate,
        or emits an error if there are no candidates or more than one
        (Closes: #174820)
      * [curses] Dependency subtrees are now sorted in a pre-determined order
        (Closes: #808882)
      * Show Origin URI for packages being untrusted when asking for
        confirmation (Closes: #582064)
      * [curses] In package info screen, "Packages depending on [this]" are
        further split based on the virtual (provided) packages that they depend
        upon (Closes: #159584, #760610)
      * [cmdline] "search" and "versions" do not truncate columns with
        redirections/pipes (Closes: #445206, #496728)

    - Bug fixes:
      * Properly set a default for $XDG_CACHE_HOME if not set. (Closes: #807545)
      * [cmdline] "w" at prompt now actually works (Closes: #555014)
      * Refuse to remove aptitude within aptitude (Closes: #319782, #568548)
      * [cmdline] Address prompt deficiencies related with translation and input
        methods (Closes: #475802)
      * Abort with Failure (rather to continue with the installation) when
        packages fail to be fetched -- except if APT::Get::Fix-Missing is
        present and set to true.  When this happens, the actions in the command
        line also return with non-zero status.  (Closes: #121313, #302784)
      * [cmdline] Abort with Failure when actions cannot be taken
        (Closes: #121313, #430392, #445034, #498239, #576212, #639789, #798320)
      * [curses] Adjust widths and "expand"/"shrink"-ability of some fields so
        Broken count and Download size are shown fully even with 80-width
        terminals (Closes: #810221)
      * [cmdline] Changelog operations now exit with non-zero on errors
        (Closes: #675833)
      * Fix problem showing versioned provides of virtual packages in error
        message
      * Fix problem showing the actual version of the package providing the
        virtual package in error message
      * Avoid loss of automatic flags when packages are marked for removal but
        not removed immediately, and the state is saved in between
        (Closes: #686573, #718802, #787663)
      * Avoid loss of automatic flags when package actions are scheduled
        multiple times before taking place (Closes: #563877)
      * [cmdline] Arguments for "versions" which are not patterns now treated as
        '?exact-name' instead of '?name' (Closes: #691874)
      * [curses] "Cancel pending actions" now reloads the cache (roughly
        equivalent to restarting the program), rather than marking all packages
        as "keep" plus ruining all auto-installed flags and holds
        (Closes: #537735, #576319)
      * Reinstate auto-installed flag when marking packages to keep in apt cache
        (Closes: #508428)
      * Message explaining unability to fetch changelogs now suggests "update"
        operation (Closes: #456822)
      * Do not use ncurses ("visual mode") in dumb terminals (Closes: #317928)
      * [cmdline] Do not show "update" progress in dumb terminals
        (Closes: #757940)
      * [cmdline] Catch exceptions when stdin is not available in prompts
        (Closes: #620782)
      * Brief explanation when column definitions could not be parsed
        (Closes: #813319)
      * Do not download changelogs when they are already being downloaded
        (Closes: #810020)
      * Fix so libapt can drop privileges to _apt:nogroup when downloading from
        the network and use pkgAcqChangelog (Closes: #797527, #806595)
      * Improve support for trace dumps (Closes: #814408)

    - User visible changes:
      * [cmdline] Prompt dialog shows lowercase instead of capitalised
        "yes"/"no" (Closes: #607444)
      * [cmdline] "search" now exits with non-zero on errors or empty results
        (Closes: #497299)
      * Remove the trailing period from some error messages (Closes: #803011)
      * [curses] New style for Download Progress in Status bar, with higher
        contrast (Closes: #803980)
      * "why" modes, group-by modes and log levels should be provided in
        English, translations not accepted anymore (Closes: #738345)
      * [curses] Pressing keybinding "Keep" (":") on package names or versions
        does not remove the auto-installed flag
      * [cmdline] Show error message when using --purge (Closes: #434502)
      * [cmdline] "show" selects by default the candidate version (as documented
        in man page) and shows extra information when the package is installed
        but can be upgraded, rather than showing "not installed"
        (Closes: #539978)
      * [cmdline] Give more prominence to Version field in "show" command by
        showing it as second
      * [cmdline] Improve message about packages similar to mistyped names
        (Closes: #812397)

    - Internal changes:
      * Lazy initialisation and better encapsulation of metadata download cache
        (Closes: #807852)

    - Documentation:
      * manpage:
        * Explain that "why"/"why-not" need a valid package name
          (Closes: #535635)
        * Improve documentation of "forbid-version" (Closes: #773023)
        * Clarify automatic flag treatment with "install" actions
          (Closes: #469219)
        * Fix typo in --autoclean-on-startup (Closes: #812864)
      * Guide/User's Manual:
        * Make images available in the french translation by copying them from
          the original document (Closes: #414150, #697736)
        * Add note about ?upgradable (Closes: #498440)

    - Translation updates:
      * Italian documentation translation by Beatrice Torracca (Closes: #808985)
      * Portuguese translation by Miguel Figueiredo (Closes: #810651)
      * Danish translation by Morten Bo Johansen (Closes: #811400)

  * d/patches:
    - Drop patches that had been picked from the development branch:
      - cherry-pick-e92dd0c1+aba1b455-properly-set-default-XDG_CACHE_HOME.patch
      - fix-807852_modified_bc3b024667a0b6f5c5c7ded59f7b7f80e383603b.patch
    - Add patch to fix problem building due to string formatting and
      strict compiler checks
      - ftbfs-string-format.patch
  * Bump Policy Standards-Version to 3.9.7 (no changes needed)

  [ Axel Beckert ]
  * Drop aptitude-dbg in favour of automatic debug packages.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 21 Feb 2016 20:03:52 +0000

aptitude (0.7.5-3) unstable; urgency=low

  * Cherry pick and apply modified bc3b0246 to only initialise cache file
    if needed (lazy init.) instead of unconditionally when starting
    aptitude, and use cache file for downloaded metadata if the file could
    be created (Closes: #807852)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 19 Dec 2015 12:29:27 +0000

aptitude (0.7.5-2) unstable; urgency=low

  * Cherry-pick e92dd0c1 and aba1b455 from master branch to properly set a
    default for $XDG_CACHE_HOME if not set. (Closes: #807545)

 -- Axel Beckert <abe@debian.org>  Thu, 10 Dec 2015 20:16:37 +0100

aptitude (0.7.5-1) unstable; urgency=low

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * [curses] Show Origin and URI in pkg info screen
        (Closes: #294040, #457794, #513622, #611515)
      * [cmdline] Print version of provider of virtual package in
        conflicts/broken (Closes: #802943)
      * [cmdline] Show packages that will not be upgraded with verbose>0
        (Closes: #553577)
      * [cmdline] Notify of 'Download Only' mode before confirmation to
        continue (Closes: #446265, #804287)
      * [cmdline] When simulating do not prompt for removal of essential
        packages (Closes: #613049)
      * [cmdline] When simulating, add notice before confirmation to
        continue actions (Closes: #173277)
      * Use XDG_CACHE_HOME spec instead of ~/.aptitude/cache (Closes: #671780)
      * Print useful message when package lists are out of date
        (Closes: #758764)
      * [curses] Allow to hide bottom half in several screens (Closes: #453853)
      * [curses] Show hostname on header line (Closes: #398101)
      * Log now distinguishes between remove and purge (Closes: #705612)
      * [cmdline] Improve error reporting of add/remove-user-tags
        (Closes: #652421)
      * Reuse format string %T also for user-tags (Closes: #498442, #665824)
      * Add format strings for Source (%E), Architecture (%e) and
        Origin (%O) (Closes: #248561, #604982, #760608)
      * [curses] Provide more info about broken packages in solution
        screen (Closes: #642800)
      * Don't use __DATE__ & __TIME__ when printing version, for
        reproducible builds

    - Bug fixes:
      * [cmdline] Fix problems in 'build-depends' causing malfunctions
        (Closes: #802532)
      * [curses] Use default string for Default-Grouping when config is
        empty (Closes: #405970)
      * [curses] Improve message when becoming root fails (Closes: #516854)
      * [cmdline] For "search", use candidate or, if does not exist,
        current version rather than a random version to show information
        about the package (Closes: #490593)
      * Check that the config files are valid, otherwise exit (Closes: #472701)
      * Use new config_file.{h,cc} to improve config file management
        (Closes: #504152, #502617, #442937, #407284)
      * When becoming root with 'su', pass along "--login" (Closes: #190784)
      * Return an error if adding/removing tags without "root" (Closes: #725272)
      * Format string '%t' tells about locally installed packages
        (Closes: #349413)
      * Save state before package reconfiguration (to not be lost)
        (Closes: #474876)
      * [curses] Allow to view changelogs of packages in Backports
        (Closes: #755677)
      * Get the real pin priority in "versions" and other cases
        (Closes: #640731)
      * Use new user-tags implementation, more secure (Closes: #792601)
      * Upgrades can do downgrades when pinned high (>1000, see apt_preferences)
        (Closes: #344700, #348679)

          Note that downgrading is highly discouraged in general, though.

    - User visible changes:
      * [cmdline] Minor improvements to help (Closes: #497136)
      * [cmdline] Hide Show-Why reasons when the string is empty
        (Closes: #576584)
      * [cmdline] Slightly improve and reformat --help
      * [cmdline] Document add/remove-user-tag in --help

    - Documentation:
      * manpage:
        * Separate two elements in --add-user-tag-to description with comma,
          they were displayed together
      * Guide/User's Manual:
        * Add keybindings for menu bar (Closes: #365298)


  * debian/patches:
    - Remove cherry-pick-cfc3c6b9-apt-1.1-compatibility.patch
  * debian/control:
    - New Build-Depends on libboost-filesystem-dev

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 08 Dec 2015 22:14:03 +0000

aptitude (0.7.4-2) unstable; urgency=high

  * Cherry-pick patch cfc3c6b9 from master to fix build against APT 1.1.
  * Bump b-d on libapt-pkg-dev to ≥ 1.1 for now to ease the transition.

 -- Axel Beckert <abe@debian.org>  Fri, 27 Nov 2015 00:27:35 +0100

aptitude (0.7.4-1) unstable; urgency=low

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * [curses] Show providers of virtual packages in "description" area
        (Closes: #103964)

    - Bug fixes:
      * Retrieve again long descriptions (Closes: #801460)
      * Fix for circular dependencies in internal_mark_delete()
        (Closes: #801430)
      * Fix race condition replacing ~/.aptitude/config (Closes: #764046)

    - User visible changes:
      * [cmdline] In versioned provides, include '=' symbol (Closes: #767393)
      * [cmdline] "show" now shows arch of packages in multi-arch systems
      * [curses] Use 'w' in action column for package downgrades
        (Closes: #801310)
      * [cmdline] Show feedback of some commands (hold, forbid-version, ...)
        with verbose>0 (Closes: #270033, #638841)
      * [cmdline] Require args for some commands: hold, keep...
        (Closes: #759520)

    - Internal changes:
      * In internal_mark_delete(), also check for auto-installability
        property of real packages providing virtual packages to stop them
        being marked for deletion (check was also done in later steps).
      * Convert some instances of boost::unordered_{set,map,multimap} to std::
      * Convert some instances of boost::hash to std::
      * Remove two uses of boost::lexical_cast, use std::to_string() instead
      * Create utility function remove_non_recursive()

    - Documentation:
      * manpage:
        * Remove wrong assertion that safe-upgrade does not accept
          --full-resolver (Closes: #560991)
        * Document missing &BD specifier when installing packages
          (Closes: #696568)
      * Guide/User's Manual:
        * Update renamed config option ::CmdLine::Show-Summary
          (Closes: #776789)
        * Correct some wrong examples of search patterns (Closes: #519456)


  * debian/patches:
    - Remove fix-tmpdir.patch, applied upstream

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 16 Oct 2015 13:28:08 +0100

aptitude (0.7.3-1) unstable; urgency=low

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - Bug fixes:
      * [cmdline] Correctly calculate the indentation for multi-byte
        encoded strings in command line "show" (Closes: #360202)
      * [curses] Show intended action when downgrading (Closes: #516517)
      * Update internal state for upgrades/downgrades with target version
        after the action is performed (Closes: #787658, #714429)
      * [curses] Don't precede Tags field by newline in package info
        screen (Closes: #799933)
      * Correctly detect state of vers/pkg when is ConfigFiles
        (Closes: #698768)
      * [cmdline] Show "RECOMMENDED but will not be installed" on pipes
        and redirections (Closes: #647474)
      * [curses] Improve the integration of Forbid upgrades
        (Closes: #439258)
      * Remove unneeded automatically installed packages in the same action
        (Closes: #478116, #564545, #637257, #368037, #486454, #738517,
         #789803, #779999, #756507, #759764, #766702, #655483,#740009)
      * Honour ::Purge-Unused when removing packages (Closes: #724034)
      * Be more informative when virtual packages are involved in broken
        deps (Closes: #316633, #798898, #799918)
      * Fix description of config option ::AutoClean-After-Update
        (Closes: #756937)

    - User visible changes:
      * Make boundaries of sessions in the log file more clear
        (Closes: #269275)
      * [curses] Avoid marking as auto/non-auto if already set
        (Closes: #265013)
      * [curses] Print message when starting to perform actions
        (Closes: #323371)
      * Use uppercase APT:: for apt config vars, for consistency
        (Closes: #519425)
      * [cmdline] Print versions of Provides, if they exist
        (Closes: #767393)

    - Internal changes:
      * temp.cc: simplify code and messages and reduce the use of boost
        libs
      * configure.ac: Remove checks for boost/scoped_array.hpp and
        boost/random.hpp, not used anymore
      * Adding missing trigger states in some functions
      * Disable checks in configure.ac and preprocessor in code for
        APT_HAS_TRIGGERS, APT_HAS_HOMEPAGE and HAVE_DDTP (apt supports them
        since 2007-2008).
      * Add functions to check if packages are installed, automatically
        installed, if they are virtual, and others.  They can be used later
        to make other code more consistent, clear and clean.
      * Remove sigc++ include from apt_config_widgets.h (fails to build
        with newer version 2.6 recently uploaded to unstable)

    - Documentation:
      * Guide/User's Manual:
        * Document Brown colour for downgraded packages in UI (feature
          implemented in the last version)

    - Translation updates:
      * Russian by Lev Lamberov (Closes: #769425)
      * Dutch by Frans Spiesschaert (Closes: #800516)


  * d/rules: Upgrade C++ required to C++14, only minor changes/fixes from C++11
  * debian/patches:
    - Add fix-tmpdir.patch to fix a minor problem with temp directories

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 07 Oct 2015 16:53:49 +0100

aptitude (0.7.2-1) unstable; urgency=medium

  * New upstream release. Please see /usr/share/aptitude/NEWS for a change
    log with more details.

    - New features:
      * 'Escape' key cancels input dialogs (search, limit, etc.) (Closes:
        #493322)
      * Extend "firstchar" grouping policy to optionally use source
        package names.
      * [curses] Add 'New Source Package View' to Views menu (thanks
        Thadeu Lima de Souza Cascardo, really closes: #497206), with some
        updates and minor modifications, like more complex grouping.
      * [curses] Use Yellow/Brown colour to highlight downgrades (Closes:
        #584510)
      * Log file now contains version information for most actions
        (Closes: #222585)
      * Save selection state of packages to dpkg database (Closes:
        #137771)
      * Consider packages "unknown" to dpkg as not to install. (Closes:
        #328616) The behaviour of scheduled aptitude actions will be
        preserved.

    - Bug fixes:
      * Disable strings gathered for translation (Closes: #790568)
      * Change to try to make updated status stats more clear (Closes:
        #458351)
      * [cmdline] Correctly print when a package should be purged (Closes:
        #798286)
      * [curses] With the option of mini-buffer prompts enabled,
        cancellation of the "Quit confirmation" with 'Escape' or 'Ctrl-g'
        does not cause the dialog/prompt to stop working (Closes: #607118)
      * [cmdline] Warn when package cannot be marked/unmarked auto
        (Closes: #498240)
      * Install signal handlers and do clean-up when terminating abruptly
        (Closes: #558352)
      * [curses] Set better ordering for groups of Preview Actions
        (Closes: #434352)

    - User visible changes:
      * Change error string of source_policy_parser to be the same as the
        rest.
      * [curses] Improve titles and descriptions of views.

    - Internal changes:
      * Improve retrieval of source package information with (upcoming)
        APT 1.1. Thanks to David Kalnischkies for the suggestion and
        implementation advice.
      * New helper dpkg_selections.{h,cc}, to help to manage saving
        selections to the dpkg database (--set-selections)

    - Documentation:
      * Guide/User's Manual: Remove grouping policy "hier" from
        doc/??/aptitude.xml (the categorial/hierarchical browser features
        were removed in version 0.7)

    - Translation updates:
      * Russian by Lev Lamberov (Closes: #798485, #769428)

  * Add lintian override for spelling-error-in-binary "ressize", seems to
    be from "resource size" or such. Cannot be found in the source code.
  * Fix spelling errors in the two previous changelog entries as reported
    by Lintian.
  * Add lintian override for symlink to /usr/share/common-license/…
  * Remove explicit build-dependency on g++ >= 4:5.2, no more needed.
  * Detabify previous changelog entry.
  * Remove no more active team members from Uploaders as suggested by the
    MIA team. Every team member is welcome to re-add himself to Uploaders
    once he's active again. Thanks for all your work, Daniel and Daniel!

 -- Axel Beckert <abe@debian.org>  Fri, 18 Sep 2015 00:42:40 +0200

aptitude (0.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Bug fixes:
      * Fix for wrong reported size of deleted files with 'autoclean' on
        32-bit arches (Closes: #499872)
      * Be explicit when packages are already installed, cannot be
        removed/purged because they are not installed, and similar
        (Closes: #421469).
      * Check string formats for columns in both curses and command line
        interface, and forbid characters which can lead to cwidget
        assertions and program crashes.  (Closes: #497129, #532662).
    - Documentation:
      * Quick help (help.txt):
        * Document 'l' (Limit Display) in quick help (Closes: #514541)
        * Improve description of '_' (Purge) (Closes: #495326)
        * Improve the description of the search shortcut, and point more
          clearly to search patterns in the full documentation
      * man page:
        * Fix example of '-F' with current and candidate versions
          (Closes: #752517)
      * Guide/User's Manual:
        * Upgrade doc/??/aptitude.xml documents from DocBook XML 4.2 to
          4.5
        * Use XHTML 1.0 rather than HTML 4.01, at least to have something
          from this decade/century.  The resulting documentation still
          does not fully validate (see #496724), I think that due to
          bugs/problems of docbook-xsl conversions using invalid elements in
          the different standards (tried HTML 4.0, 4.01, XHTML 1.0 and 1.1).
        * Generate 'alt' tag for images in HTML documentation (see #496724)
        * In "Customizing the package list", fix order of variables
          ::UI::Package-Status-Format and ::UI::Package-Header-Format and
          their explanations
    - User visible changes:
      * Slightly change description of shortcut 'g' in title bar
        (Closes: #247487)
    - Internal changes:
      * search_graph.h, fix problem with code which was working for many
        years (with boost 1.55 and many versions before), but now the
        straightforward option to convert boost::optional to bool does not
        work with gcc-5.2 and boost-1.58, so use .is_initialized() instead.
      * solution_item.cc, copy string of package name coming from libapt
        because it does not guarantee that the string is valid for all of the
        time span that we need it, to not show garbage that it happens
        sometimes (Closes: #795150, #795028)
      * match.cc, pkg_info_screen.cc, reason_fragment.cc: remove and
        modify code relying on pkg.Section() (from apt PkgIterator), it is
        deprecated code and it will get removed soon according to the apt team
        (Versions have Sections, Package in abstract doesn't have unique
        Sections)
      * aptitude_resolver.cc: use std::unique_ptr instead of deprecated
        SPtrArray
      * Add compatibility for APT 1.1:
        * Create DepIterator values from Dependency pointers on-the-fly,
          where required
        * Adjust AcqQueuedFile() for changed signatures of overriden
          methods
      * Improving C++11 compatibility mode:
        * Convert std::auto_ptr (deprecated in C++11) to unique_ptr
        * Convert boost::scoped_ptr (deprecated in C++11) to std::unique_ptr
        * Convert instances of boost::shared_ptr, make_shared, and
          weak_ptr to be explicitly prefixed by boost::, otherwise they clash
          or have problems compiling with the new C++11 std::shared_ptr and
          analogues (many were not converted in the previous version).
      * Remove unused function serialize_pattern_list()
      * Remove unused function wcsempty()
      * Improvements of the autoconf/automake infrastructure.
       * No more generate a dummy ChangeLog file just to please automake.
       * Clean up some more leftover files in "make maintainer-clean"
       * Use 'cp -u' when copying gtest and gmock, so they don't need to be
         recompiled every time
    - Translation updates:
      * Swedish by Josef Andersson (Closes: #792911)
      * Fix typos/syntax oddities and translation issues, thanks Jens Seidel
       (Closes: #381702)

  * Disable patches, now in the upstream release:
    - 05-cherry-pick-3593bdcb.patch
    - 10-cherry-pick-2a5a8b25.patch
    - 15-cherry-pick-4b24b358.patch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 05 Sep 2015 23:57:57 +0100

aptitude (0.7-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release.
    - Changes in the versioning scheme and changelog (to follow loosely
      the Semantic Version specification)
    - Feature removal: The content-wise outdated and
      not-multiarch-compatible categorical browser has been removed. The
      Debtags browser has replaced most of its functionality already. Local
      package groups are no more available, though.  The removal discussion
      has taken place in #686646. (Closes: #686124, #686142, #686646 as
      well as LP: #1082198).
    - Changes to allow to compile with C++11 compatibility mode (prompted by
      changes in the toolchain in Debian) (Closes: #777778)
    - Fix reported installed size change when installing/deinstalling
      packages which are bigger than 2 GiB (int type size 32 bits).  Thanks
      Benny Baumann and Jason Rhinelander for the report and info, and Sven
      Joachim for the patch.  (Closes: #759769)
    - Changes in automake files to be able to use current automake
      versions.
    - Documentation:
      - Previously missing trigger-related package states are now
        documented. (Closes: #770073, #771305, #771704)
      - Minesweeper: Fixed save/load keybindings in help.
        (Closes: #736934)
    - Translation updates:
      - Czech by Miroslav Kure (Closes: #758226)
      - Russian by Yuri Kozlov (Closes: #760812)
      - German man page translation by Mario Blättermann and
        Jens Seidel (Closes: #762340)
      - Catalan by Orestes Mas (Closes: #771618)
      - French documentation translation by Cédric Boutillier
        (Closes: #773807)
      - Italian documentation translation by Beatrice Torracca
        (Closes: #776706)
      - Dutch by Frans Spiesschaert (Closes: #778425)

  [ Axel Beckert ]
  * Apply wrap-and-sort.
  * No more install files related to the categorical browser.
  * Update Vcs-Browser header to use cgit and HTTPS.
  * Declare compliance with Debian Policy 3.9.6. (No changes needed.)
  * debian/rules:
    + Remove override_dh_builddeb: xz compression is default nowadays.
    + Remove obsolete x from [ "x$var" != "x" ] comparisons.
  * Add myself to Uploaders.
  * Cherry-pick 3593bdcb, 2a5a8b25, and 4b24b358 from upstream to cope
    with Boost 1.58 which has been uploaded to unstable during the
    libstdc++6 transition, but after the 0.7 upstream release.
  * Temporarily bump g++ dependency from 4:3.2.2-0 to 4:5.2 for the
    gcc-5/libstdc++6 transition.
  * Add build-dependency on automake.

 -- Axel Beckert <abe@debian.org>  Wed, 05 Aug 2015 19:05:18 +0200

aptitude (0.6.11-1) unstable; urgency=medium

  * Includes fix for FTBFS with gcc-4.9.
  * New upstream release:
    - Load package tags from APT if debtags database is not available.
      (Closes: #501732)
    - Remove -Werror from default compiler flags. (Closes: #746824)
    - No longer use libept. (Closes: #504153, #677551)
  * Translation updates:
    - Italian (Closes: #741875)
    - Portuguese (Closes: #748141)
  * debian/control:
    - New Build-Depends on libxapian-dev, replacing libept-dev.
    - Correct typo in description of aptitude-common. (Closes: #746960)
    - Drop apt-xapian-index to Suggests.
  * debian/changelog:
    - Remove non-ASCII punctuation. (Closes: #745680)

 -- Daniel Hartwig <mandyke@gmail.com>  Mon, 02 Jun 2014 19:57:39 +0800

aptitude (0.6.10-2) experimental; urgency=medium

  [ Daniel Hartwig ]
  * Make aptitude installable on non-native architectures
    Thanks to Rogier for noting this (Closes: #697278)

  [ Manuel A. Fernandez Montecelo ]
  * Enable Russian translation of documentation (binary package
    aptitude-doc-ru)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 20 Feb 2014 17:47:07 +0000

aptitude (0.6.10-1) unstable; urgency=medium

  [ Daniel Hartwig ]
  Note that 0.6.9 was an experimental release.  Most of the changes it
  contained are temporarily reverted, but they will return.

  * Remove ancient Conflicts: ia32-apt-get

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release.
    - New sort policy 'installsizechange' (Closes: #676075)
    - Fix segfault with "aptitude changelog PKG" when PKG is a source
      package with no corresponding binary package (Closes: #723821)
    - Use new URL to fetch changelogs (metadata.ftp-master.d.o)
      (Closes: #708345)
    - Fix incorrect results with some sorting policies (Closes: #720750)
    - Update manual to refer to canonical git repository.
    - Improve and explain some translation messages (Closes: #537858)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 20 Feb 2014 17:36:57 +0000

aptitude (0.6.8.4-1) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release
    - New features:
      * Get changelogs also when package origin is from "Debian Backports"
        and not only "Debian", thanks Gerfried Fuchs (Closes: #714619)
      * New sort policy 'debsize' for sorting by package size, thanks
        Marcel Partap
      * Add "Reinstall (shortcut L)" to the package menu (Closes: #633788)
      * Add descriptions for sections introduced in 2011 (education,
        introspection, metapackages) (Closes: #674681)
    - Bug fixes:
      * Do not group packages as tasks based on their name, rather, use
        their section (Closes: #679602)
      * Change AC_ARG_ENABLE(package-state-loc, ...) for
        AC_ARG_WITH(package-state-loc, ...), and the same for "lock-loc", to
        fix inconsistency/bug in the configure file.  Thanks Jeremy
        Laine (Closes: #399757)
      * Correct slightly the error message when the invocation of dpkg
        fails to perform an operation (Closes: #348758)
    - Documentation:
      * Improve description and fix typo for the "show" command in man
        page, thanks Regid Ichira (Closes: #692173)
    - Translation updates:
      * Fix inconsistent German translations (Closes: #720186)
      * Fix important error in translation in Spanish manpage, thanks
        Martintxo (Closes: #727815)
      * Fix error in Spanish translation, thanks Manolo Díaz
        (Closes: #716669)

  [ Axel Beckert ]
  * Fix lintian warning vcs-field-not-canonical
    + Explicitly specify branch for packaging

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 26 Jan 2014 13:23:12 +0000

aptitude (0.6.8.3-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS with g++-4.8 by removing unused typedefs (Closes: #701243)
    - Support Boost 1.53 (Closes: #710208)
    - Avoid segfault with some status line formats (Closes: #714186)
    - Update support for automake and similar tools (autogen.sh), now
      version 1.14
    - Translation updates:
      - Russian translation of documentation.  Thanks to Lev Lamberov and
        the Russian localization team.
      - German, by Benjamin Weis and Holger Wansing (Closes: #729329)
      - Japanese (Closes: #728115)
      - Russian by Yuri Kozlov (Closes: #725280)
      - Asturian by Inigo Varela (Closes: #698512)
      - Danish by Morten Bo Johansen (Closes: #700885)
      - French by David Prévot (Closes: #693323)

  * Acknowledge NMUs (patches had been cherry picked from VCS)
  * Bump Standards-Version to 3.9.5
    - Drop obsolete field in debian/control: DM-Upload-Allowed
  * Add myself as uploader

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 19 Jan 2014 00:38:37 +0000

aptitude (0.6.8.2-1.2) unstable; urgency=low

  * cherrypick from git:
    + fix FTBFS with Boost 1.53. Closes: #710208
    + support again Boost < 1.53

 -- Andreas Barth <aba@ayous.org>  Sat, 24 Aug 2013 13:32:28 +0000

aptitude (0.6.8.2-1.1) unstable; urgency=low

  * cherrypick from git:
    + 794b91 fix FTBFS with g++-4.8
    + c142a7 task_list is not extern
  * re-upload to unstable to have again a working package on mips*.
    Closes: #708812, #714186

 -- Andreas Barth <aba@ayous.org>  Fri, 16 Aug 2013 13:19:40 +0000

aptitude (0.6.8.2-1) unstable; urgency=low

  * [all]: Support for matching architectures using specification
           strings and wildcards (for example, "linux-any").  See
           Debian Policy section 11.1 "Architecture specification
           strings" for more details.
  * [cmdline]: Fix typo which prevented installing tasks using the
               apt-get compatible syntax ("aptitude install
               gnome-desktop^").
  * [cmdline]: Do not assume that APT::Default-Release always provides
               the candidate version of a package, instead use the
               policy defined by apt_preferences(5).
               (Closes: #587775, #631464, #686316)
  * [all]: Download changelogs from APT::Changelogs::Server instead
           of a fixed location, and replace very ancient and disused
           option for Aptitude::Changelog-URL-Template.
           (Closes: #687239)
  * Documentation:
    - Update for default value of APT::AutoRemove::SuggestsImportant
      which is "true" since apt 0.8.15.3. (Closes: #685310)
    - Correctly reference APT::AutoRemove::RecommendsImportant and
      SuggestsImportant which do not contain any hyphens.
      (Closes: #579071)
  * Translation updates:
    - Czech (Closes: #681693)
    - French (Closes: #680040, #685084)
    - Polish (Closes: #678153)
    - Russian (Closes: #686016)
    - Spanish (Closes: #686752)
  * debian/control: Bump Build-Depends on libapt-pkg-dev to (>= 0.9.7) for
    architecture specification string support.

 -- Daniel Hartwig <mandyke@gmail.com>  Mon, 05 Nov 2012 09:52:12 +0800

aptitude (0.6.8.1-2) unstable; urgency=low

  * Use xz compression for all binaries. (Closes: #687294)

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 25 Sep 2012 08:51:07 +0800

aptitude (0.6.8.1-1) unstable; urgency=low

  * Multi-arch update for the problem resolver:
    - handle conflicts without removing all foreign-arch
      packages (Closes: #672340) (LP: #831768)
    - correctly recognise dependencies solved by Multi-Arch:
      foreign packages (LP: #968412)
  * [curses]: Use dpkg package names when calling dpkg
              (Closes: #680333)
  * Add (temporary) helpers for interacting with dpkg.

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 28 Aug 2012 11:39:01 +0800

aptitude (0.6.8-1) unstable; urgency=low

  * Fix build with g++ 4.7
    Thanks Adrian Lang for the patch (Closes: #672335)
  * New binary packages:
    - aptitude-doc-it: Italian documentation (Closes: #674664)
    - aptitude-common: data files and translations
  * debian/rules:
    - use dh (debhelper command sequencer)
  * Require libapt-pkg 0.9.3 to avoid "Method http has died
    unexpectedly" (Closes: #669322)
  * Removed preinst script, the one transition it handled is
    over ten years old.
  * New upstream release.
    - Update to tasks support: task packages, multi-arch, syntax

      Task packages (introduced with tasksel 3.0) are
      meta-packages which define the dependencies of tasks.  The
      packages themselves have always worked but the 'tasks'
      grouping policy and '?task' search term did not support
      them.  This update corrects for this.

      As a result of this change to tasksel all Debian tasks now
      function exactly like meta-packages. (Closes: #382631)

      The syntax for installing tasks from the command line has
      been updated.  It now supports specifying an arch and
      requires the same syntax as apt-utils ('^' must be the last
      part of the name).  Examples:

        # aptitude install gnome-desktop^
        # aptitude install ssh-server^:armel

      This avoids ambiguity that may arise when a task and
      package have the same name.
    - Changelog downloading is restored
      (Closes: #669569, LP: #824708)
    - Exit with non-zero status when a package run is
      aborted. (Closes: #293008)
    - Restore candidate version on undo, keep
      (Closes: #529403)
    - Adjust default widths of localized columns:
      broken_count, downloadsize (Closes: #674045)
    - Update package views after 'Cancel pending actions'
      (Closes: #595753)
    - Fix minor errors in documentation. Thanks to Beatrice Torracca
      (Closes: #674675)
    - Fix groff warning in manpage (Closes: #675085)
    - Translation updates:
      + French (Closes: #673827, LP: #642840)
      + German (Closes: #672467, #668875)
      + Simplified Chinese

 -- Daniel Hartwig <mandyke@gmail.com>  Mon, 04 Jun 2012 10:10:12 +0800

aptitude (0.6.7-1) unstable; urgency=low

  * Fix FTBFS in sid: include build of gtest when building gmock
   (Closes: #670403, #671439)

  * New upstream release.

    - Avoid dpkg and infinite loop in download-only mode
      (Closes: #629266, LP: #975793)

    - Check for apt_init errors in cmdline_download.cc (Closes: #670379)

    - Downloading/installing now locks /var/cache/apt/archives
      (Closes: #370381)

    - Actually use aptitude::Logging::Levels (Closes: #654344)

    - No longer use ListUpdate (from libapt-pkg) to update package lists.
      Instead, restore the previous code and update it to include the
      semantics from ListUpdate which were missing.

      ListUpdate was too coarse to suit download_update_manager properly
      even though it more-or-less worked.

    - Do not call debtags on list update.  This was a rather unsightly
      kludge is better suited as a script for APT::Update::Post-Invoke.

    - Use arch-qualified names in 'Provided by' for virtual packages
      (LP: #972847)

    - Preview screen ignores Pkg-Display-Limit

      Previously it would apply that limit if UI::Preview-Limit was not
      set.  This was causing confusion and it is more useful to have these
      as two clearly distinct settings. (LP: #381507)

    - New translations:

      + Croatian (Closes: #667934)

  * Use export to really enable build hardening, etc.

  * debian/control: remove traces of aptitude-gtk:
    - aptitude: description
    - aptitude-dbg: build-depends

 -- Daniel Hartwig <mandyke@gmail.com>  Thu, 03 May 2012 15:57:42 +0800

aptitude (0.6.6-1) unstable; urgency=low

  * New upstream release.

    - Basic multi-arch support.  See NEWS for details.

      + add search terms ?architecture and ?multiarch;
      + add grouping policy 'architecture';

      (Closes: #659079, #661744)
      (LP: #454941, #845136, #884945, #904486)

    - Apply patch from Ubuntu to fix build -D_FORTIFY_SOURCE=2 errors.
      Thanks to Colin Watson and Michael Vogt (Closes: #497539)

    - Remove GTK+ menu entry for minesweeper. (Closes: #552522)

    - Hack to prevent debug messages dumping to the screen (Closes: #651748)

    - Fix '?action(upgrade)' and others (were finding kept
      packages instead).  Thanks to 'Rogier' for the patch (Closes: #603862)

    - List update errors are reported. (Closes: #451137)

    - List update now runs APT::Update hooks. (Closes: #476399)

    - Actually silence progress messages with '-q2'.  (Closes: #141719)

    - Fix various locking issues:

      + '[auto]clean' locks /var/cache/apt/archives;
      + 'update' locks /var/lib/apt/lists; (Closes: #653479)

    - Fix 'priority' cost level in resolver.  The values should
      have been negated but were not.  Thanks to Modestas Vainius
      for this one. (Closes: #608786)

    - Fix some help and prompt strings which wrongly included
      localized names for commands such as 'why'.  (Closes: #486615)

    - Change ordering of top-level sections to match the order
      in aptitude::Sections::Top-Sections.  The default order
      is now: main, contrib, non-free.  (Closes: #181997)

    - Improve error messages when parsing grouping policies to
      use the user-visible names, rather than the internal
      names.  (Closes: #231595)

    - Change default width of %D, %I, %o, and %Z.  Thanks to
      Michał Kułach for this one. (Closes: #599209) (LP: #741417)

    - Change default width of %V, %v to 14.  This greatly increases the
      number of versions which will display completely. (Closes: #624542)

    - 'versions' now groups it's results by 'package:arch' instead of
      'package'.

    - Cleared up grouping, sorting policy error messages.
      (Closes: #231595)

    - Minor correction to the user's manual. (Closes: #365485)

    - Translation updates:

      + Brazilian Portuguese (Closes: #483964)
      + Hungarian (Closes: #592468)
      + Polish (Closes: #659803)
      + Russian (Closes: #662624)

  * No longer supplying aptitude-gtk.  It can still be compiled from the
    source but this was an experimental interface that was never finished.

    Anyone interested in continuing either of the GTK+ or Qt interfaces
    should contact the mailing list:

    http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/aptitude-devel

    - Dropped Build-Depends: needed only for aptitude-gtk.

  * Enable build hardening.

  * Bump debian/compat to level 9, use dh_auto_configure.

    - Adds cross build support. (Closes: #465076)

  * Add empty build-arch, build-indep targets. (Closes: #648490)

  * Extend aptitude-doc-* packages to include a more complete description
    of the program.

  * Update README.Debian with details of Git repository.

  * Support DEB_BUILD_OPTIONS=nocheck to disable tests.

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 27 Mar 2012 17:02:31 +0800

aptitude (0.6.5-1) unstable; urgency=low

  [ Christian Perrier ]
  * Drop now useless aptitude-man-ja.xsl file. Closes: #489711
  * Fix Hungarian translation of Recommends and Suggests
    Closes: #548609
  * Fix grammar in Dutch translation. Closes: #601672
  * Do not translate program options in Catalan translation
    Closes: #462558
  * Do not translate program options in Simplified Chinese translation
    Closes: #563132
  * Localize date and time format in logs. Patch by Kobayashi
    Noritada, thanks! Closes: #489706
  * Add Slovak translation, thanks to Ivan Masár. Closes: #559288, #653056
  * Update Russian translation. Closes: #559664
  * Update Portuguese translation. Closes: #577995
  * Update Simplified Chinese translation. Closes: #594526, #566367
  * Update German translation. Closes: #603589
  * Update Danish translation. Closes: #608593
  * Update French translation. Closes: #631759
  * Update Japanese translation. Closes: #550451
  * Fix Greek translation. Closes: #606871
  * Fix Calatan translation. Closes: #332592
  * Fix Spanish translation. Closes: #564445
  * Correct long description of aptitude-dos-es to mention
    that the package provides documentation in Spanish.
    Closes: #564564
  * Pure reversing forbid-version. Closes: #511365
  * Minor fixes in documentation and changelog. Closes: #403220
  * More precise wording suggested by jidanni in the
    manpage. Closes: #542293
  * Switch Polish manpages to po4a. Thanks to Michał Kułach. Closes: #656819
  * Update Polish translations. Closes: #657174

  [ Daniel Hartwig ]
  * Register documentation with doc-base. Closes: #263318
  * Update development details to Git. Closes: #651288
  * Fix link in users manual. Closes: #397038
  * Fix missing entity refs and filename elements. Closes: #651289
  * Fix description of Aptitude::Sections::Top-Sections. Closes: #651661
  * Mention /etc/apt/apt.conf.d/* in Configuration file. Closes: #497138
  * Fix manpage text for safe-resolver.  Thanks to Dan Jacobson
    (Closes: #511731, #568297)
  * Handles 'Enhances' relations in preview. (Closes: #583201)
  * Fix resolver help for next/previous. (Closes: #495046)
  * Typos in manpage.  Thanks to A. Costa for reporting them
    (Closes: #644651)
  * Boldness of Tags and User-Tags fields. (Closes: #652360)
  * Wrap long description of boolean_config_treeitems. (Closes: #653120)
  * Update menu files.  Thanks to Bill Allombert (Closes: #445125)
  * Convert reportbug script from Python to sh.  Output order is now
    correct. (Closes: #651373)
  * Don't run file in aptitude-run-state-bundle.
    Thanks to Sven Joachim for the patch (Closes: #635572)
  * Add versions, newlines to --help (Closes: #581597, #604392)
  * Fix prompt strings. (Closes: #652419)
  * Fix typo triggering "unexpected null solution". Thanks to Hristo
    Hristov for the patch (Closes: #552747)
  * Added Homepage field to package info.

  [ Manuel A. Fernandez Montecelo ]
  * Acknowledge and incorporate changes from NMUs (thanks Philipp Kern and Kurt
    Roeckx).
  * Changes in packaging:
    - Bump Standards-Version to 3.9.2, no changes needed.
    - Bump debhelper compat level to v8 from v5, no changes needed.
    - Set as maintainer the team "aptitude Devel", with aptitude-devel@alioth as
      e-mail address.  Set Daniel Burrows to Uploader.
  * Incorporating patches and bug fixes:
    - List items wrongly nested in the document (Closes: #365615).  Thanks
      Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>.
    - Update dead URL for regular expressions in the manual, thanks Diederik de
      Haas <didi.debian@cknow.org> (Closes: #581508)
    - Enabling hardened build flags through dpkg-buildflags, thanks Moritz
      Muehlenhoff (Closes: #657532)
    - Fix for bug (Closes: #242269): Properly document 'Q' and 'q' keys for user
      interface in the Help file.  Thanks Sebastian Kapfer and Stéphane Aulery.

 -- Daniel Hartwig <mandyke@gmail.com>  Tue, 07 Feb 2012 09:14:11 +0800

aptitude (0.6.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * tv_usec is a suseconds_t not a time_t.  It failed to build on sparc.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 29 Oct 2011 18:52:21 +0000

aptitude (0.6.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to changes in google-mock.  (Closes: #634413)

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Oct 2011 22:29:57 +0200

aptitude (0.6.4-1) unstable; urgency=low

  * New upstream release.

    - Fixed build errors with gcc 4.6 (Closes: #624948)

    - Added a source grouping policy, thanks to Thadeu Lima de Sourza
      Cascardo for the patch. (Closes: #497206)

    - Fixed bug in how the "automatically installed" flag was set when the
      user asked to upgrade a package. (Closes: #622719)

    - Don't crash when apt-xapian-index isn't installed. (Closes: #588089)

  * Updated the project URL and added the git url to debian/copyright.
    (Closes: #626209)

  * Deleted all Debian patches; they've been included upstream.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 15 May 2011 20:19:26 -0700

aptitude (0.6.3-4) unstable; urgency=low

  * Incorporate NMU patches.

  * 0009-fix-symlink-attack: Fix a potential symlink attack that could
    occur if a user with no home directory edited and saved the package
    hierarchy definitions. (Closes: #612034)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 02 Apr 2011 13:55:04 -0700

aptitude (0.6.3-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * 0007-preferences-dir.patch: Patch to support /etc/apt/preferences.d/
    directory. (Closes: #557580)
  * debian/rules: Fix clean rule.  Patch by Stéphane Glondu.
    (Closes: #594505)

 -- Tim Retout <diocles@debian.org>  Tue, 12 Oct 2010 21:11:54 +0100

aptitude (0.6.3-3.1) unstable; urgency=low

  * Non-maintainer upload to fix FTBFS (closes: 594199).
  * Add patch by Michael Vogt to use sigc::mem_fun0 instead of sigc::mem_fun,
    fixing an error with apt 0.8.
  * Comment out our operator<< for pkgCache::DepIterator, libapt-pkg has one
    now and this caused conflicts.  Build-Depend on new libapt-pkg-dev
    accordingly.
  * Don't build with -Werror to avoid more FTBFS.

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Aug 2010 20:00:57 +0200

aptitude (0.6.3-3) unstable; urgency=low

  * Apply patch from Nobuhiro Iwamatsu to fix compilation on sh, which
    has the same problem as s390. (Closes: #586861)

  * Apply patch from Michael Vogt to update Vcs links in debian/control.

  * Cherry-pick an Ubuntu patch that was merged upstream to fix the
    progress code on large terminals. (Closes: #586470)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 10 Jul 2010 13:44:48 -0700

aptitude (0.6.3-2) unstable; urgency=low

  * Cherry-pick an upstream patch that fixes the Makefiles so that files
    named using $(wildcard) get installed. (Closes: #586508, #586511)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Jun 2010 14:58:47 -0700

aptitude (0.6.3-1) unstable; urgency=low

  * New upstream release.

    - aptitude no longer requires log4cxx; dropped that build dependency.

      I hope this will solve some of the random crashes, particularly
      on exit, that have been reported, but since they're unreproducible
      it's hard to know.

    - aptitude should build correctly against either the current ept
      release or the upcoming release (in experimental).
      (Closes: #581009)

  * Applied upstream patches to make the tests build when GTK+ is
    disabled.

  * Weakened the build dependency on libboost-dev, since this upstream
    release no longer requires 1.42.

  * aptitude now requries gtest and google-mock for its test suite;
    added build dependencies.

  * Add the compile flag -fno-gcse on s390; current g++ miscompiles some
    of aptitude's parse code without this. (Closes: #580085)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 18 Jun 2010 23:40:26 -0700

aptitude (0.6.2.1-2) unstable; urgency=low

  * Tighten the dependency on libboost-dev to reflect the fact that
    aptitude needs at least 1.42.

    This caused actual build failures, so I'm surprised I didn't get bugs
    about it.  I don't know if this will be a permanent state of affairs;
    a configure test could take care of the one thing that's a serious
    problem (a published API reversed the order of its arguments (!)).

 -- Daniel Burrows <dburrows@debian.org>  Fri, 23 Apr 2010 07:09:34 -0700

aptitude (0.6.2.1-1) unstable; urgency=low

  * New upstream release.

    - Fixes some backwards compatibility breakages in 0.6.2-2.

  * Weaken the Conflict against ia32-apt-get to (<< 22), on advice from
    Goswin von Bredrelow.  Apparently some people still use this package,
    and the "feature" that broke aptitude is not present in recent
    versions.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 21 Apr 2010 22:27:53 -0700

aptitude (0.6.2-2) unstable; urgency=low

  * Backport upstream patch to fix crashes in the resolver. (Closes: #578344)
  * Moved to source version 3.0 (quilt).

 -- Daniel Burrows <dburrows@debian.org>  Mon, 19 Apr 2010 06:56:24 -0700

aptitude (0.6.2-1) unstable; urgency=low

  * New upstream release.

    - Includes the patch for #567242 to not crash when the user sets
      a rejection by package name and version at the command-line,
      previously backported.

    - Includes the patch for #566205 to make sure that download progress
      bars are deleted when the download is finished.

    - Don't crash in "aptitude changelog" when the package given on
      the command-line doesn't have a valid version (Closes: #567318).
      Thanks to Dmitry Semyonov for the patch.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 18 Apr 2010 08:45:16 -0700

aptitude (0.6.1.5-3) unstable; urgency=low

  * Backport changes from head to increase how long the resolver is
    permitted to run.  Fixes problems with some large upgrades where
    the resolver would time out and fail to find a solution.  The new
    limit is much larger than any reasonable upgrade should require (it
    was increased by a factor of 100, from a value that was just barely
    too small).

 -- Daniel Burrows <dburrows@debian.org>  Fri, 12 Mar 2010 01:30:02 -0800

aptitude (0.6.1.5-2) unstable; urgency=low

  * Ignore failures in the Boost unit test everywhere; it's just too flaky
    (Closes: #566780).

  * Backport patch from head to make sure the changelog progress bar is
    safely destroyed after it downloads (Closes: #566205).

  * Backport patch from head to fix crashes when changing the settings of
    the command-line resolver (Closes: #567242).

 -- Daniel Burrows <dburrows@debian.org>  Sat, 30 Jan 2010 07:30:33 -0800

aptitude (0.6.1.5-1) unstable; urgency=low

  * New upstream release.

    - Make the resolver significantly less conservative, so major
      upgrades get computed better. (Closes: #565867)

    - Explicitly explain the implications of how the Linux command-line
      works in the aptitude manpage entry for "search" to reduce
      the confusion it causes. (Closes: #566003)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 20 Jan 2010 21:23:33 -0800

aptitude (0.6.1.4-2) unstable; urgency=low

  * Don't abort the build if the Boost unit test fails on kfreebsd; it
    looks like the Boost test framework is flaky there.  (Closes: #565736)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 19 Jan 2010 09:34:50 -0800

aptitude (0.6.1.4-1) unstable; urgency=low

  * New upstream release.

    - Fixes for multiple compile bugs (see NEWS for details);
      Closes: #531687, #560517, #559980, #555120

  * Add ${misc:Depends} to each binary package.

  * Build-depend on elinks instead of html2text since that's what the
    upstream Makefiles use.

  * Add a NEWS entry warning about the syntax break with "full-upgrade" to
    make its behavior saner and consistent with safe-upgrade.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 17 Jan 2010 20:43:01 -0800

aptitude (0.6.1.3-3) unstable; urgency=low

  * Apply patch from the development repository that hopefully fixes
    signedness problems on various architectures. (Closes: #557212)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 20 Nov 2009 07:13:05 -0800

aptitude (0.6.1.3-2) unstable; urgency=low

  * Apply patch from the development repository to suppress spurious
    warnings from log4cxx on startup. (Closes: #557150)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 19 Nov 2009 19:17:17 -0800

aptitude (0.6.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 19 Nov 2009 09:42:10 -0800

aptitude (0.6.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 19 Nov 2009 08:43:10 -0800

aptitude (0.6.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 19 Nov 2009 05:18:27 -0800

aptitude (0.6.1-1) unstable; urgency=low

  * New upstream release.

    + Fix several crashes in the "why" code. (Closes: #546446)

    + The dependency solver should now ignore Recommendations that are
      already unsatisfied. (Closes: #556042)

    + Fix automatically switching to root via a su-like program.
      (Closes: #552471)

    + Work around a spurious error message emitted by apt.
      (Closes: #556952)

    + Exit without prompting if the user tells the dependency solver
      to cancel all of their changes. (Closes: #556866)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 18 Nov 2009 13:41:22 -0800

aptitude (0.6.0.1-2) unstable; urgency=low

  * Conflict with the obsolete ia32-apt-get package to ensure that
    upgrades go smoothly: it used to provide /usr/bin/aptitude, but now we
    need to change that to a symlink.  (Closes: #552525)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 18 Nov 2009 04:40:14 -0800

aptitude (0.6.0.1-1) unstable; urgency=low

  *  New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 25 Oct 2009 12:04:50 -0700

aptitude (0.6.0-1) unstable; urgency=low

  * New upstream release.

  * Uploaded to unstable, finally.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 25 Oct 2009 11:23:41 -0700

aptitude (0.5.9rc4-1) experimental; urgency=low

  * New upstream release.

    - Don't print a spurious warning if we get --no-gui when the GTK+
      frontend was compiled out. (Closes: #550727)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 12 Oct 2009 21:20:43 -0700

aptitude (0.5.9rc3-1) experimental; urgency=low

  * New upstream release.

    - On the command-line, package versions can be chosen by codename
      (Closes: #547707).

    - Switch back from dpkg-parsechangelog to parsechangelog; they both
      require an external dependency and parsechangelog is faster
      (Closes: #546280).

    - Don't crash if the Xapian database fails to load (Closes: #512998).

    - Recognize --no-gui in all builds, not just aptitude-gtk.
      (Closes: #546406)

    - Don't discard errors after dpkg fails (Closes: #548879, #548889).

    - Block SIGWINCH by default so nothing interferes with cwidget
      catching it. (Closes: #547212)

    - Mention build-dep in "aptitude help" (Closes: #547151).

    - Make --arch-only behave correctly (Closes: #547266).

    - Make the "hold" command in the GTK+ interface hold packages
      instead of deleting them (Closes: #549897).

    - Mention Get-Root-Command in the manual when it describes
      auto-switching-to-root. (Closes: #548657)

    - Fix the default value of Get-Root-Command in the manual so it
      matches the actual code. (Closes: #550057)

    - Translation updates:

      + Danish (Closes: #546497)
      + French
      + Portuguese
      + Russian (Closes: #535806)
      + Spanish

  * Remove the calls to update-apt-xapian-index in the postinsts
    (Closes: #550062).

 -- Daniel Burrows <dburrows@debian.org>  Fri, 09 Oct 2009 18:58:29 -0700

aptitude (0.5.9rc2-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 09 Sep 2009 20:08:02 -0700

aptitude (0.5.9rc1-1) experimental; urgency=low

  * New upstream release.

    - Use the new apt hooks to honor holds when autoresolving
      dependencies. (Closes: #177374, #205049, #374353, #376802, #406506,
      #430816, #434731, #442420, #452589)

    - Honor the configuration options APT::Get::List-Cleanup
      and APT::List-Cleanup in "aptitude update". (Closes: #448958)

    - Make "aptitude update" actually clean up the list download
      directories. (Closes: #507603)

    - The menu commands in the curses frontend to clean up the package
      cache and to delete obsolete files now support automatically becoming
      root. (Closes: #492832)

    - Make name-based searching the default again; the full-text search
      must be explicitly requested with ?term().
      (Closes: #506651, #507359, #514625, #527540, #534671, #538198)

    - Document that full-upgrade takes extra actions on the command-line.
      (Closes: #268696)

    - Document that the "standard" apt options
      Apt::AutoRemove::SuggestsImportant and
      Apt::AutoRemove::RecommendsImportant should be used instead of
      Aptitude::Keep-Suggests and Aptitude::Keep-Recommends.

    - Various crashing bugs should be fixed in this version or previous
      versions.

      (Closes: #506649, #507099, #525801, #527739, #539805)

    - Translation updates:

      + Czech (Closes: #545144)
      + French
      + Spanish

  * Compile against libraries currently in unstable again.
    (Closes: #545609)

  * Add a dependency on sensible-utils as a nicety. (Closes: #541847)

  * Downgrade the apt-xapian-index dependency to a Recommends.  I'm not
    sure that running aptitude without the Xapian index will actually work
    yet, but this will make it easy for people to test it out.
    (Closes: #516719)

  * Remove the no-longer-necessary recommendation of
    libparse-debianchangelog-perl; aptitude uses dpkg-parsechangelog now.

  * Add build dependencies on libboost-iostreams-dev and
    libboost-test-dev.

  * Change the description of aptitude-gtk to warn users that it's an
    experimental release.

  * Only install the "move the old aptitude state directory to the right
    place" stanza in the core aptitude package, rather than duplicating it
    in every preinst.

  * Make lintian stop complaining:

    - Bumped Standards-Version to 3.8.3 (no changes relevant to aptitude).
    - Tighten the debhelper Build-Dep to require 5.0.0.
    - Use set -e in the preinst script.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 08 Sep 2009 21:23:11 -0700

aptitude (0.5.3.1-1) experimental; urgency=low

  * New upstream release.

    - Don't crash the GTK+ interface when displaying a solution that
      cancels the installation of a package. (Closes: #525898)

    - aptitude now build-depends on Boost.

    - Major performance improvements in the dependency solver.

    - Translation updates:

      + Asturian (Closes: #521558)
      + Finnish (Closes: #531582)

    - New Spanish translation of the user's manual.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 20 Jul 2009 12:55:46 -0700

aptitude (0.5.2.1-1) experimental; urgency=low

  * New upstream release.

    - Work around some buggy terminals that corrupt the progress
      display (Closes: #455220).

 -- Daniel Burrows <dburrows@debian.org>  Sun, 26 Apr 2009 21:40:57 -0700

aptitude (0.5.2-1) experimental; urgency=low

  * New upstream release.

    - Support for guaranteed ordering of solutions produced by the
    dependency resolver. (Closes: #514820, #514930, #524221, #473296)

    - The dependency resolver will continue searching for a short time
      after finding a solution, in case a better solution turns up.
      (Closes: #482825)

    - The GTK+ interface should no longer crash while trying to find
      dependency chains. (Closes: #514714)

    - aptitude is now more careful about automatically canceling the
      removal of an unused package, to avoid triggering a conflict with
      other packages (for instance, packages included in a dependency
      solution). (Closes: #522881, #524667)

    - The curses interface no longer warns users when they purge an
      already-removed Essental package. (Closes: #513472)

    - The curses interface no longer computes an excessive amount of
      dependency information every time a package is highlighted.
      (Closes: #516296)

    - Fixed incorrect formatting in some command-line error messages.
      (Closes: #516296, #514676)

    - Fix really stupid column wrapping in "aptitude why".
      (Closes: #516389)

    - Translation updates:

      + Asturian (Closes: #518981, #519693)
      + Danish (Closes: #512384)
      + German
      + Italian
      + Norwegian Bokmål (Closes: #510977)
      + Spanish (Closes: #517272)
      + Swedish (Closes: #511238, #514011)

  * Change the reportbug script to run in the C locale, so program output
    that's inserted doesn't get translated.

  * Change the description of aptitude-gtk to say that it has a GUI
    interface. (Closes: #514545, #521152)

  * Give aptitude-gtk a versioned dependency on aptitude. (Closes: #516527)

  * Include .desktop file contributed by Fabit Greffrath.  I know that
    using su-to-root is not ideal, but since aptitude-gtk can't be used to
    install / remove packages unless it's run as root, this is probably a
    good interim approach.  Eventually we'll hook up the code so that the
    GTK+ frontend can do what the curses frontend does (automagically
    become root and preserve selections). (Closes: #521255)

  * New build-deps: liblog4cxx10-dev, inkscape.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 23 Apr 2009 09:08:27 -0700

aptitude (0.5.1-1) experimental; urgency=low

  * New upstream release.

    - Incremental search should work again in the curses UI.
      (Closes: #506651)

    - Gives more feedback when dpkg finishes. (Closes: #508536)

    - GTK+ interface split out into the package aptitude-gtk, sorry
      ftpmasters. (Closes: #511725, #505467)

    - Fix fortify problems in minesweeper. (Closes: #511559)

    - Fix several translations of plurals (Closes: #505675)

    - Translation updates:
      + Slovak (Closes: #505676)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 18 Jan 2009 17:22:10 -0800

aptitude (0.5.0-1) experimental; urgency=low

  * New upstream release.

  * This release needs apt-xapian-index, so depend on it.  Also, run
    update-apt-xapian-index in the postinst to make sure we really have
    a working Xapian index.

  * Add build-depends on libgtkmm-2.4-dev, libglademm-2.4-dev, and
    libvte-dev.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 11 Nov 2008 20:39:29 -0800

aptitude (0.4.11.10-1lenny1.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Fix former changelog entry. Thanks to Thijs Kinkhorst for the patch
    Closes: #502858

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Oct 2008 10:37:09 +0200

aptitude (0.4.11.10-1) unstable; urgency=low

  * New upstream release.

    - Never remove an essential package from the curses UI without
      asking the user first.

    - Fix displaying the section description in non-UTF-8 locales.
      (Closes: #483464)

    - Many improvements to the documentation suggested by "jidanni".
      (Closes: #497374, #497340, #496726, #471347, #496719, #496729,
               #496732, #497333, #497336, #497726, #497969)

    - Translation updates:
      + Brazilian Portuguese (Closes: #496613)
      + Czech (Closes: #497287)
      + Dutch (Closes: #497965)
      + Kurdish
      + Japanese (Closes: #494816)
      + Lithuanian (Closes: #496504)
      + Norwegian Bokmål
      + Simplified Chinese (Closes: #497550)
      + Ukranian

 -- Daniel Burrows <dburrows@debian.org>  Fri, 05 Sep 2008 22:03:07 -0700

aptitude (0.4.11.9-1lenny1) testing-proposed-updates; urgency=low

  * Upload to testing-proposed-updates.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 05 Oct 2008 10:56:06 -0700

aptitude (0.4.11.9-1) unstable; urgency=low

  * New upstream release.

    - Don't annoy every Polish user with warnings about their
      aptitude-defaults file. (Closes: #483459)

    - Correctly handle install-and-mark-auto commands that
      are targeted at a particular version, like "foo/testing+M":
      don't just throw away the version information. (Closes: #490650)

    - Swedish translation updates. (Closes: #490782, #490818)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 03 Aug 2008 15:15:40 -0700

aptitude (0.4.11.8-1) unstable; urgency=low

  * New upstream release.

    - Fix an annoying and long-standing bug that caused aptitude
      to sometimes delete package lists if downloading new copies
      failed.  (Closes: #201842, #479620)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 04 Jul 2008 09:34:16 -0700

aptitude (0.4.11.7-1) unstable; urgency=low

  * New upstream release.

    - Fix FTBFSes. (Closes: #488132)

    - Translation updates:
      + Basque
      + Portuguese (Closes: #482094)
      + Thai

 -- Daniel Burrows <dburrows@debian.org>  Sat, 28 Jun 2008 13:02:52 -0700

aptitude (0.4.11.6-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Jun 2008 12:34:11 -0700

aptitude (0.4.11.5-1) unstable; urgency=low

  * New upstream release.

    - Forbid the resolver (by default) from producing solutions that remove
      Essential packages. (Closes: #486748)

    - Translation updates:

      + Dutch (Closes: #486858)
      + Romanian (Closes: #486934)

  * Tighten up the Build-Depends on libept-dev to fix a FTBFS.
    (Closes: #487227)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Jun 2008 11:01:00 -0700

aptitude (0.4.11.4-1) unstable; urgency=low

  * New upstream release.

    - Fixed a nasty resolver bug that would cause solutions to be chosen
      poorly in some cases involving self-conflicts. (Closes: #483920)

    - "aptitude search" now takes a command-line argument
      "--disable-columns" that prevents aptitude from padding or
      truncating strings to line text up into columns.  This makes
      the output much more script-friendly.  (Closes: #136874)

    - Fixed the formatting of literal elements in the manpage.
      (Closes: #473580)

    - Defaults files for locales that contain an underscore (such as pt_BR
      or zh_CN) should get installed now. (Closes: #483620)

    - Translation update for Russian. (Closes: #483943)

  * aptitude-dbg recommends libcwidget3-dbg now, not libcwidget1-dbg.
    (Closes: #473829)

  * Bring the Standards-Version up-to-date.  No other changes were needed;
    the only change to Policy lately that affects aptitude was the
    restructuring of the menu hierarchy, and aptitude is already
    up-to-date with that.

  * Bring README.Debian up-to-date regarding the location of the upstream
    and Debian repositories.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 07 Jun 2008 17:05:21 -0700

aptitude (0.4.11.3-1) unstable; urgency=low

  * New upstream release.

    - "aptitude unhold" should work now. (Closes: #477165)

    - Fixed almost complete breakage of "aptitude changelog". (Closes: #481458)

    - Fixed retrieving the changelogs of bin-nmued packages from the curses
      interface. (Closes: #333468)

    - Always be at least as quiet as the user requested that we be.
      (Closes: #476749)

    - Remove a stray hyphen in the output of --help. (Closes: #476835)

    - Fix the manpage to talk about Recommends-Important instead of
      Install-Recommends. (Closes: #480533)

    - Translation updates:
      * Brazilian Portuguese (Closes: #481007)
      * Danish (Closes: #476732)
      * French
      * Galician (Closes: #476837)
      * German (Closes: #476344)
      * Japanese
      * Norwegian Bokmal (Closes: #480063)
      * Polish (Closes: #480062)
      * Simplified Chinese (Closes: #475740)
      * Vietnamese (Closes: #477295)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 26 May 2008 21:25:26 -0700

aptitude (0.4.11.2-1) unstable; urgency=low

  * New upstream release.

    - Fix XML errors in the manpage source. (Closes: #473722)

    - Don't crash if a package's Section field is empty. (Closes: #474115)

    - Rewrite the status information to avoid the need for choosing
      between the singular and plural forms of verbs. (Closes: #486186)

    - Added "why" and "why-not" to the output of "--help". (Closes: #454088)

    - Use a different technique to migrate "Recommends-Important" to
      "Install-Recommends" that doesn't overwrite the old option; instead
      the option "Aptitude::Ignore-Recommends-Important" is set to "true"
      when the setting is migrated; if this option is set, then
      Recommends-Important is ignored.

      This should be better for people who share configuration files
      between machines. (Closes: #473872)

    - Translation updates:
      * Galician (Closes: #474672)
      * Vietnamese (Closes: #473719)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 11 Apr 2008 19:25:35 -0700

aptitude (0.4.11.1-1) unstable; urgency=low

  * New upstream release.

    - Don't crash if debtags has been purged (Closes: #472695).
    - Save interactive changes to string options. (Closes: #471315)
    - Don't print an error on startup if debtags is missing.
      (Closes: #472678)
    - Translation updates:
      + Simplified Chinese (Closes: #458162, #473363)
      + Vietnamese (Closes: #473229)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 30 Mar 2008 13:09:47 -0700

aptitude (0.4.11-3) unstable; urgency=low

  * Upload to unstable.
    - Built against the new cwidget (Closes: #472369).

  * Removed the dependency on diff.  As pointed out by lintian, diff is an
    Essential package and so depending on it is not just unnecessary, it's
    outright wrong.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 24 Mar 2008 21:26:33 -0700

aptitude (0.4.11-2) experimental; urgency=low

  * Explicitly enable ept support.
  * Backport typo fixes to NEWS.
  * Backport fixes to test/test_tags.cc so it compiles with ept support.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 16 Mar 2008 10:28:31 -0700

aptitude (0.4.11-1) experimental; urgency=low

  * Upload to experimental so as not to interfere with the installer.

  * New upstream release.

    - Handle conflicts/provides/replaces in the dependency resolver
      (Closes: #466374).

    - Implement a "build-dep" command to install build dependencies of one
      or more source packages. (Closes: #243317)

    - Implement support for multi-level sections, thanks to Paul Donahue
      for the patches.

    - Use libept to get debtags information. (Closes: #397652, #406201)

    - Fixed a case where aptitude would claim that packages could
      fulfill a versioned dependency through a Provides. (Closes: #464131)

    - Fix task handling in the case that different versions of a package
      have different task fields. (Closes: #459348)

    - Fix building with g++-4.3, assuming the build-deps support g++-4.3.
      (Closes: #452204, #452540)

    - Forcibly make the manual compile by allowing through a largely
      untranslated input. (Closes: #470054)

    - Migrate the setting for enabling installation of Recommends from
      Aptitude::Recommends-Important to Apt::Install-Recommends.
      (Closes: #458189, #448561)

    - Ensure that the resolver state is always synchronized with the
      state of the package cache, to eliminate some cases where it
      would break or produce wrong answers. (Closes: #421395, #432411)

    - Eliminate some crashes that occurred when removing packages at the
      command-line while version numbers were displayed (-V).
      (Closes: #459336, #461669)

    - If the package lists can't be read in "aptitude update", download
      new ones instead of crashing.  (Closes: #468751)

    - Document some of the files that aptitude uses in a FILES section
      in the manpage (Closes: #470839)

    - Fix the use of quote in the French translation (Closes: #460808).

  * Build-Depend on libept-dev for ept support.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Mar 2008 22:43:33 -0700

aptitude (0.4.10-1) unstable; urgency=low

  * Add a reportbug script that includes the user's $TERM in the bug.

  * Fix a typo in the aptitude description. (Closes: #452710)

  * Add VCS fields to the control file.

  * Build-Depend on the newest version of cwidget so we link against
    libcwidget1 instead of libcwidget0.

  * New upstream release.

    - Add an option --allow-untrusted to override trust warning.
      (Closes: #452201, #452541)

    - Recommended packages are now hidden if quiet mode is enabled.
      (Closes: #452202)

    - Fixed a segfault that would happen after updating the package lists
      or doing an install run.
        (Closes: #454695, #454700, #455349, #453362, #455865)

    - If StepLimit is 0, abort dependency resolution cleanly instead of
      going into an infinite loop. (Closes: #451311)

    - When visual mode is entered from the command-line (e.g., via
      --visual-preview), return a failing exit code if the last
      install run the user performs fails.

    - Return a failing exit code from "aptitude update" if any
      download fails. (Closes: #233129)

    - Checkboxes and radio buttons in the preferences tree will
      now toggle on both Space and Enter. (Closes: #451765)

    - Command-line searches will now only print each result once.
      (Closes: #450798)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 16 Dec 2007 11:56:23 -0800

aptitude (0.4.9-2) unstable; urgency=low

  * Add a -dbg package. (Closes: #448884)

  * Generate aptitude-doc-ja. (Closes: #390859)

  * Talk about software package management, not apt, in the Description.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 19 Nov 2007 18:29:45 -0800

aptitude (0.4.9-1) unstable; urgency=low

  * New upstream release.

    - Add a matcher for obsolete/local packages (Closes: #397547).

    - Don't swap around the name, description, and long description
      of configuration options. (Closes: #449138)

    - Don't remove *.gmo in distclean, hopefully fixing problems
      with translations in the Debian packages.
      (Closes: #451584, #441696)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 17 Nov 2007 09:21:39 -0800

aptitude (0.4.8-1) unstable; urgency=low

  * New upstream release.

    - Fix display corruption of the broken packages indicator.
      (Closes: #448753)

  * This release needs cwidget (0.5.5 or greater due to errors in previous
    versions' include files); add an appropriate build-dep.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 15 Nov 2007 21:58:20 -0800

aptitude (0.4.7-1) unstable; urgency=low

  * New upstream release.

    - Replaced the options "dialogs" with a list-based display that
      handles long string options more sanely.  As part of this, did work
      on string prompts; when the text being edited gets too long, the
      prompt will now expand vertically and wrap around.
      (Closes: #197976, #331200, #424708)

    - The online help is now a top-level view, so some of the problems
      with it should go away. (Closes: #434349)

    - Support for the "Breaks" field and for trigger states is now
      included.  Thanks to Michael Vogt and Ian Jackson for the patches
      and for prodding me to apply them. (Closes: #438543)

    - Display styles for downgraded packages are now available:
      "PkgDowngraded" and "PkgDowngradedHighlighted". (Closes: #434442)

  * Acknowledge NMU (Closes: #441696).

  * Add support for noopt builds (Closes: #433646).

  * Build against the new apt (Closes: #447960).

 -- Daniel Burrows <dburrows@debian.org>  Tue, 30 Oct 2007 21:41:00 -0700

aptitude (0.4.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed "*.gmo" removal from the "distclean" target in po/Makefile.in.in
    to fix package content change on double-build (Closes: #441696).
  * Moved the menu entry from the "Apps/System" section to the
    "Applications/System/Administration" one.
  * No longer ignore "make distclean" errors, per lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 30 Sep 2007 00:14:43 +0200

aptitude (0.4.6.1-1) unstable; urgency=low

  * New upstream release (includes scripts I missed in the last release).

 -- Daniel Burrows <dburrows@debian.org>  Wed, 25 Jul 2007 22:06:15 -0700

aptitude (0.4.6-1) unstable; urgency=low

  * New upstream release.

  * Properly handle EINTR in the keyboard-input thread; should clear up
    the problems where aptitude becomes nonresponsive.
    (Closes: #431054, #431686, #432323)

  * Make sure the apt auto-mark flags get initialized on startup, so
    aptitude knows what's automatic and doesn't clear auto flags
    pointlessly. (Closes: #432017)

  * Don't crash on startup when something goes wrong early in the
    initialization process. (Closes: #430061)

  * Disable unused package removal if Delete-Unused is false.
    (Closes: #431716)

  * Don't garble translated descriptions in non-UTF8 locales.
    (Closes: #432911)

  * Eliminate another bogus warning about a supposedly locked
    cache. (Closes: #431909)

  * Translation updates:

    - Basque (Closes: #432535)
    - Vietnamese (Closes: #432283)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 25 Jul 2007 21:39:50 -0700

aptitude (0.4.5.4-1) unstable; urgency=low

  * Upload to unstable since aptitude has been binNMUed against the
    new apt, and this build (although there are still bugs) is less
    broken than that one.

  * Fix an out-of-bounds error in the line editor. (Closes: #429673)

  * Force aptitude to create the state file the first time it's run
    even if the user didn't install/remove anything, so it knows
    which packages are new. (Closes: #429732)

  * Translation updates:

    - Basque (Closes: #418862)
    - Galician (Closes: #429504)
    - Vietnamese (Closes: #429447)

  * Tidy up the Debian diff some more.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 03 Jul 2007 07:18:03 -0700

aptitude (0.4.5.3-2) experimental; urgency=low

  * Trim the diff way down; it looks like the switch to Mercurial, or
    maybe some of the stuff I did in the past with the packaging
    repository, generated a bunch of spurious changes from upstream.

    There are still spurious additions of .xml DocBook files that are
    autogenerated by po4a.  These should be deleted by "make clean", but
    that needs to be fixed in the upstream code.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 18 Jun 2007 17:08:17 -0700

aptitude (0.4.5.3-1) experimental; urgency=low

  * Thanks to everyone who tested the last release.  Hopefully this one is
    less buggy than it was.

  * Hopefully this release fixes a nasty race condition that caused
    garbled output. (Closes: #414838, #406193)

  * Fixed a bug that caused aptitude to keep trying to remove a package it
    had already removed. (Closes: #429388) Or rather, made it harder to
    trigger through normal usage; there's no clean way for anyone but
    dselect to keep track of package installation states.

  * Fix build errors in the code; build-depend on apt >= 0.7.0.
    (Closes: #429348)

  * Set packages to manual mode when the user cancels their removal, like
    old aptitudes did.  (Closes: #429271)

  * Fix compile failures with g++-4.3. (Closes: #413488)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 17 Jun 2007 21:29:25 -0700

aptitude (0.4.5.2-1) experimental; urgency=low

  * New upstream version (fixes various bugs introduced by the code
    merge).

 -- Daniel Burrows <dburrows@debian.org>  Fri, 15 Jun 2007 21:34:18 -0700

aptitude (0.4.5.1-1) experimental; urgency=low

  * New upstream version.

  * This version merges in the code I wrote in 2005 to support the
    patch against apt to add removal of automatic patches.  aptitude
    should merge its list of "automatic" packages into the global apt
    list when it's run.

  * aptitude will now let you go ahead when there isn't anything to
    change, but some packages need to be configured. (Closes: #424709)

  * Translation updates:

    - French (Closes: #428585, #428826)
    - Portuguese (Closes: #425779)
    - Vietnamese (Closes: #426976)

  * Use debian/compat instead of DH_COMPAT; switch to debhelper
    compatibility level 5.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 15 Jun 2007 08:53:06 -0700

aptitude (0.4.5-1) unstable; urgency=low

  * The "an entire pot of spaghetti gave its life for this upload"
    upload.

  * Re-enable werror (it should have always been enabled, but I turned
    it off during a period of brokenness and never turned it back on).

  * Rebuild against apt 0.7 (Closes: #428616).  This doesn't include
    support for the auto-mark code; I need to either forward-port
    my patches from 2005 or rewrite them.

  * Fix a number of crashes due to inconsistencies in aptitude's
    internal dependency model. (Closes: #420358, #420381, #420407)

  * Don't crash if some code generates a percentage that isn't strictly
    between 0 and 100; instead, just try to display it as best we can.
    (Closes: #425145)

  * 'N' now repeats the last search in the opposite direction from 'n'.
    (Closes: #414020, #397880)

  * aptitude now recognizes Apt::Get::AllowUnauthenticated as a
    synonym for Aptitude::Ignore-Trust-Violations. (Closes: #411927)

  * Increase the default value of StepScore to 70.  This should make
    aptitude less likely to wander off into exponentially expanding
    search trees. (Closes: #418385)

  * Automatically enable Keep-Recommends when --without-recommends is
    passed on the command-line.  As a practical matter, this means that
    --without-recommends no longer tries to remove a bunch of packages.
    (Closes: #143532)

  * Add DPKG_NO_TSTP to the environment when doing a package-configure run
    after something failed, so "Z" backgrounding works at the conffile
    prompt. (Closes: #367052)

  * Put packages that are both "new" and "upgradable" into the "upgradable
    packages" list instead of the "new packages" list. (Closes: #419999)

  * Eliminate some cases where aptitude would print an incorrect
    message about being unable to acquire a lock after some other
    error occurred. (Closes: #422700)

  * Never display more than one "really quit?" dialog box at once.
    (Closes: #411158)

  * Explicitly chmod the aptitude state file to mode 0644 after writing
    it, to avoid surprising results when it gets read back in.
    (Closes: #421809, #421811)

  * Print an error message if the user tries to supply arguments
    to commands where this makes no sense. (Closes: #411152)

  * Write "[Enter]" instead of "enter" in the media-change prompt.
    (Closes: #414777)

  * Remove *.gmo in distclean.  It should now be possible to build
    the Debian package twice in a row. (Closes: #424102)

  * Improve the description of Recommends-Important,
    Keep-Recommends, and Keep-Suggests; thanks to Stefan Kangas for
    his suggestions. (Closes: #405002)

  * Add some missing commands to the online help. (Closes: #402360)

  * Fix the alignment of text in the online help. (Closes: #399048)

  * Translation updates:
    - Basque (Closes: #418862)
    - Catalan (Closes: #353308)
    - Chinese (Simplified) (Closes: #405166)
    - Chinese (Traditional) (Closes: #338056, #418139)
    - Danish (Closes: #409480)
    - Finnish (Closes: #392305)
    - French (Closes: #403561, #388504)
    - Galacian (Closes: #412829, #425358)
    - Greek
    - Hungarian (Closes: #405550)
    - Japanese users manual added.
    - Marathi (Closes: #416807)
    - Nepali (Closes: #452278)
    - Portuguese (Closes: #418940)
    - Romanian (Closes: #415763)
    - Slovak (Closes: #401105)
    - Spanish (Closes: #416339)
    - Ukranian (Closes: #415448)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 12 Jun 2007 19:48:55 -0700

aptitude (0.4.4-5~2) experimental; urgency=low

  * Don't crash if some code generates a percentage that isn't strictly
    between 0 and 100; instead, just try to display it as best we can.
    (Closes: #425145)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 May 2007 13:15:51 -0700

aptitude (0.4.4-5~1) experimental; urgency=low

    * Eliminate the crashes due to inconsistencies in the dependency
      resolver. (Closes: #420358, #420381, #420407)

      Also added checks for errors that occur in the dependency resolution
      thread, so the program can cleanly generate an error message instead
      of blowing up, and improved the errors generated by consistency checks
      to include more context information.

    * Eliminated a crash with the revdep column generator (Closes: #420405).

    * Add DPKG_NO_TSTP to the environment when doing a package-configure run
      after something failed, so "Z" backgrounding works at the conffile
      prompt. (Closes: #357042)

    * Fix how bolding is performed in the docbook templates for manpages;
      this made the manpages completely unreadable when built with a newer
      Docbook (Closes: #415468, #416232).

 -- Daniel Burrows <dburrows@debian.org>  Tue, 15 May 2007 19:07:19 -0700

aptitude (0.4.4-4) unstable; urgency=low

  * In addition to the bugfix for ssprintf, the last release included
    a new test case to ensure that the bug did not recur.  As it turned
    out, this test case revealed that both the old and the new code
    were buggy on amd64!  vssnprintf now handles its variable argument
    list properly, using va_copy in case it has to access the list a
    second time. (Closes: #414617)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 13 Mar 2007 20:49:58 -0700

aptitude (0.4.4-3) unstable; urgency=low

  * Recompile to get translations back on i386. (Closes: #413698)

  * Fix a nasty problem that could cause aptitude to want to remove
    packages installed using apt-get or dpkg. (Closes: #411123)

    This is triggered by the installer, so probably this update
    should get into etch if possible.

  * Fix a bug in an internal "sprintf" variant that would include random
    characters in the output string sometimes (by reading from an
    allocated but uninitialized buffer).

  * French documentation update.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 11 Mar 2007 09:14:40 -0700

aptitude (0.4.4-2) unstable; urgency=low

  * l10n and documentation release targeted at etch.  The following code
    fixes are also included:

    - Use delete[] to delete several arrays instead of plain
      delete.

    - Update the fix for signal blockage during configure to
      work when a package install fails (in which case the
      previous release ran dpkg --configure -a with signals blocked).

  * Many editorial fixes to the user's manual and updates to the
    Japanese translation by Noritada Kobayashi.  There is a Japanese
    version of the manual in the source tree, but this upload does not add
    a new documentation package.

  * The FSF's address in the manpage license has been fixed.

  * Don't generate two identical author lines in the manpage.
    (Closes: #397224)

  * Localize tasks group names.


  * Fix the alignment of the text in the command-line help. (Closes: #399048)

  * Fix yes_key and no_key translations. (Closes: #338056)

  * Update aptitude.pot to unfuzzy translations. (Closes: #399048)

  * Translation updates:

    - Catalan (Closes: #353308)

    - Chinese (Simplified) (Closes: #405166)

    - Danish (Closes: #409480)

    - Finnish (Closes: #392305)

    - French (Closes: #388504, #403561)

    - Galician (Closes: #412829)

    - Greek

    - Hungarian (Closes: #405550)

    - Nepali (Closes: #352278)

    - Slovak (Closes: #401105)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  4 Mar 2007 20:37:48 -0800

aptitude (0.4.4-1) unstable; urgency=low

  * New upstream release.

    - Bulleting has been fixed and re-enabled by default.
      (Closes: #388594)

    - Change the default settings to leave unused Linux kernel
      images on the system. (Closes: #386307)

    - Produce more useful errors for corrupted or unverifiable downloads
      (Closes: #387537).

    - Make minibuffer messages disappear when a key is pressed again.
      (Closes: #395201)

    - Remove an assertion about the timing behavior of timed mutex locks,
      which apparently behave differently in virtual machines.
      (Closes: #381481)

    - Document the "unhold" command-line action. (Closes: #387336)

    - Make the package selected by a search appear at the top of the
      screen, so that it's visible underneath the search dialog.
      (Closes: #389763)

    - Make the progress indicator less visually distracting by eliminating
      the yellow "progress" effect (which on many system just produces a
      distracting yellow and blue flashing) (Closes: #390971).

    - Unblock all signals (particularly WINCH) before running dpkg, so
      that processes spawned by dpkg don't end up with weird signal masks.
      (Closes: #392870)

    - Use the first *character*, not the first byte, when abbreviating
      dependency names in the command-line preview (Closes: #395007).

    - Documentation fixes from Kobayashi Noritatda (Closes: #389942).

    - Translation updates:
      * Basque (Closes: #389730)
      * Brazilian (Closes: #387734)
      * Catalan
      * Chinese (Simplified) (Closes: #392305)
      * Chinese (Traditional)
      * Czech (Closes: #361050)
      * Danish
      * Dutch (Closes: #393643)
      * Dzongkha (Closes: #388045)
      * Finnish (Closes: #351531)
      * French (Closes: #388552, #351531)
      * Galacian (Closes: #387579)
      * German
      * Hungarian
      * Italian
      * Japanese (Closes: #389581, #389583, #390736, #391061)
      * Khmer (Closes: #374919)
      * Kurdish (Closes: #387803)
      * Norwegian Bokmal (Closes: #391684)
      * Portuguese (Closes: #393070)
      * Romanian (Closes: #388401)
      * Russian (Closes: #392305)
      * Slovak (Closes: #386852, #394696)
      * Spanish (Closes: #391663)
      * Swedish (Closes: #391531)
      * Turkish (Closes: #392305)
      * Vietnamese (Closes: #388552, #392903, #392924)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 26 Oct 2006 21:02:00 -0700

aptitude (0.4.3-1) unstable; urgency=low

  * New upstream release.

    - Request-Stickiness is set to 10000 by default, so the resolver
      should produce more sensible results at the command-line.
      (Closes: #385453)

    - Don't crash when displaying non-tab-aligned tabs in the internal
      pages. (Closes: #383488, #383549)

    - Don't crash after su-ing to root. (Closes: #382090)

    - Don't crash when trying to save a note that a non-default version
      of a package that has no default version is to be installed.
      (Closes: #383767, #384136)

    - Eliminate duplicate entries from the "provided by" list displayed
      by "aptitude show". (Closes: #384001)

    - Hack around ugly behavior in 256-color terminals. (Closes: #384699)

    - Generate groff escapes for extended characters in the manpages.
      (Closes: #383463)

    - Translation updates:

      * Dzongkha   (Closes: #382606)
      * Galician   (Closes: #381989)
      * Hungarian  (Closes: #383584)
      * Khmer      (Closes: #374919)
      * Swedish    (Closes: #382992, #383630)
      * Vietnamese (Closes: #382333, #383586)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  3 Sep 2006 10:17:04 -0700

aptitude (0.4.2-1) unstable; urgency=low

  * New upstream release.

    - Added an option "Aptitude::UI::ViewTabs" that controls
      whether the "tabs" at the top of the screen are displayed.
      (Closes: #344569)

    - Make the lockfile default to /var/lock/aptitude as per FHS.
      (Closes: #160418)

    - Add support for searching in the on-line user's manual.
      (Closes: #364306)

    - Acknowledge NMU (Closes: #357557)

    - Fix compilation errors with gcc 4.2. (Closes: #369382)
      Note that the compiled software appears to crash when run.

    - Fix sporadic crashes on update that were due to interactions
      with the problem resolver. (Closes: #346380, #348541, #348481,
      #376573)

    - Handle NULL returns from get_changelog_from_source; should
      fix some crashes in the command-line changelog fetcher.
      (Closes: #349869)

    - Fix a crash that occurred when moving the selection up while
      the package list was empty.

    - Disable bullet-detection by default, since it's incompatible
      in a bad way that cannot be easily fixed.  (Closes: #373888)
      Set Aptitude::UI::Parse-Description-Bullets to true to
      re-enable it.

    - Make the selection and display of versions in "aptitude show"
      more 'intuitive' (Closes: #375383, #372796).

    - Stick to portable pthreads features se we compile on the Hurd.
      (Closes: #361439)

    - Don't read the package lists on startup if they're just going to
      be discarded immediately.  (Closes: #366884)

    - Correctly handle scrollbar updates after resizing text layouts.
      (Closes: #347445)

    - Fix how tab characters are rendered in the internal pager.
      (Closes: #351323)

    - Use the apt library's file downloader again, as the extra hacks
      I was using have been implemented better there.  This should allow
      command-line downloads to work with file: sources.  (Closes: #299127)

    - Translation updates:

      + Use po4a for the manual. (Closes: #351643)
      + Basque (Closes: #349500, #275704, #349500)
      + Brazillian (Closes: #363905)
      + Catalan (Closes: #345226, #363648)
      + Chinese (Simplified) (Closes: #347311, 355689)
      + Czech (Closes: #345345, #349427)
      + Danish
      + Dutch (Closes: #350118, #364471)
      + Dzongkha
      + Finnish
      + French (Closes: #344078, 343748)
      + Galacian (Closes: #344380, #355586, #373893)
      + German (Closes: #330226, #351557)
      + Greek (Closes: #344630)
      + Hungarian (Closes: #354844)
      + Italian
      + Japanese (Closes: #364621)
      + Nepali (Closes: #372861)
      + Norwegian
      + Polish (Closes: #338989)
      + Portuguese (Closes: #364186)
      + Romanian (Closes: #362927, #375327)
      + Russian (Closes: #349161, #366523, #376340)
      + Slovak (Closes: #351839, #353449, #356396)
      + Spanish
      + Swedish (Closes: #345372, #363660, #374207)
      + Vietnamese (Closes: #341924, #343850, #375089)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  1 Aug 2006 17:23:40 -0700

aptitude (0.4.1-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualifications from C++ header files, declare
    friend functions and remove unused variable (Closes: #357557).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 27 May 2006 19:59:46 +0200

aptitude (0.4.1-1) unstable; urgency=low

  * New upstream release.  In addition to fixes pulled into previous
    uploads, the following bugs are fixed by this release:

    - Eliminated another deadlock in the background resolver
      thread. (Closes: #342319)

    - Don't auto-unhide the menu bar when the user clicks on the first
      line of the terminal; this allows mouse interaction with the first
      line of the current main widget.

    - Translation updates:

      + Chinese (Simplified) (Closes: #339140)

      + Dutch (Closes: #337629)

      + Italian

      + Galacian (Closes: #337656)

      + Lithuanian (Closes: #341051)

      + Portuguese (Closes: #339828)

      + Slovak (Closes: #338527)

      + Swedish (Closes: #334520, #337725, #339820)

      + Turkish (Closes: #339943)

      + Vietnamese (Closes: #341924)


 -- Daniel Burrows <dburrows@debian.org>  Fri,  9 Dec 2005 10:20:01 -0800

aptitude (0.4.0-5experimental2) experimental; urgency=low

  * Rebuild auto* tools before upload. (Closes: #342218)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  6 Dec 2005 08:35:34 -0800

aptitude (0.4.0-5experimental1) experimental; urgency=low

  * Pull unmerged changes from -4 and -5.

  * Build against the new apt in experimental. (Closes: #341347)

  * Pull patches from upstream repository:

    - Always display the list of changes made by the resolver in a
      pop-up dialog, even if minibuffer displays are enabled. (Closes: #341292)

 -- Daniel Burrows <dburrows@debian.org>  Thu,  1 Dec 2005 10:35:54 -0800

aptitude (0.4.0-5) unstable; urgency=low

  * Pull patches from upstream repository:

    - Never allow the program to explicitly select a version that was
      removed but not purged.  This was causing segfaults.  (Closes: #340385)

    - Fix cases where the dependency resolver would present trivially
      redundant solutions.

    - Eliminate an infinite loop caused by repeatedly trying to
      discover new solutions after the solution set is exhausted.
      (Closes: #340067)

    - Eliminate a segfault that occurred when the solution examination
      screen was visible while the package lists were updated.
      (Closes: #338441)

    - The correct encoding is now used to read help files.
      (Closes: #340950)

    - Consider a version to be trusted if any source for that version
      is trusted. (Closes: #337982)

    - Document the new behavior of backslash (Closes: #337810).

    - Correctly handle parsing and displaying single-character
      keybindings. (Closes: #339131)

    - Add a pointer to the documentation on using patterns from the
      command-line.

    - Add a command-line option --purge-unused as a shortcut for
      the Purge-Unused configuration option.

    - Document the use of the default color.

    - Fail cleanly instead of dying with an assertion failure if the user
      tries to use a non-available color.

    - Czech documentation updates from Miroslave Kure.

    - Better debugging output from the garbage collector.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 30 Nov 2005 09:40:38 -0600

aptitude (0.4.0-4) unstable; urgency=low

  * Make the postrm succeed even if the log file doesn't exist.
    (Closes: #338779)

  * Pull patches from upstream repository:

    - A more correct message is printed when an inconsistency in the
      dependency model is detected.

    - The option Aptitude::GC-Debug enables explicit debugging from the
      garbage collector.

    - Fixed several places where the resolver wasn't being regenerated
      after the cache changed, leading to inconsistencies and assertion
      failures.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Nov 2005 17:20:29 -0800

aptitude (0.4.0-3experimental2) experimental; urgency=low

  * Hack around bug #339533 (Closes: #339648).

 -- Daniel Burrows <dburrows@debian.org>  Thu, 17 Nov 2005 12:46:02 -0800

aptitude (0.4.0-3experimental1) experimental; urgency=low

  * Compile against the experimental apt.

  * Add the URL of the aptitude web site to debian/copyright.

  * Support ddtp (enabled when aptitude is compiled against a version of
    apt with ddtp support).

  * Make the postrm succeed when the log file is missing.
    (Closes: #338779)

  * Pull fixes from head:

    - Document the new behavior of backslash in help.txt.
      (Closes: #337810)

    - Only consider a package version to be untrusted if all the sources
      from which it is available are untrusted. (Closes: #337982)

    - Don't segfault when the cache is reloaded while a solution is being
      examined (Closes: #338441).

    - Fix the error message that is displayed when it is detected that the
      problem resolver is in an inconsistent state.

    - Print debugging output from the GC if Aptitude::GC-Debug is true.

    - Fix an assertion failure in the problem resolver.

    - Add --purge-unused as a shortcut to enable the purging of unused
      packages.

    - Fix how keybindings are parsed (Closes: #339131).

 -- Daniel Burrows <dburrows@debian.org>  Tue, 15 Nov 2005 16:26:43 -0800

aptitude (0.4.0-3) unstable; urgency=low

  * Pull changes from upstream repository:

    - Handle the case where the old package list isn't available to
      preserve (Closes: #337869).

    - Make "Cancel" in the "download complete" dialog do what it should.
      (Closes: #337554, #337778)

    - Correctly handle terminals with large numbers of colors; since we
      have to accomadate arbitrary foreground/background pairs, just
      restrict the user to the lower sqrt(COLOR_PAIRS) colors.
      (Closes: #337689)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  7 Nov 2005 18:12:04 -0800

aptitude (0.4.0-2) unstable; urgency=low

  * Apply patch from lamont@debian.org to be POSIX-compliant and thus
    build on ia64. (Closes: #337536)

 -- Daniel Burrows <dburrows@debian.org>  Fri,  4 Nov 2005 17:01:12 -0500

aptitude (0.4.0-1) unstable; urgency=low

  * aptitude 0.4.0 is released and going into unstable!  Rejoice!

  * New upstream release

    - An additional menu toggle binding has been added that works on all
      terminals, and it is the default binding (meaning it shows up on all
      terminals). (Closes: #147862, #335034)

    - Several command-line operations deal with the -t command in a sane
      way now. (Closes: #334096)

    - "search" completely ignores fake packages. (Closes: #337407)

    - Bullet lists can include any number of spaces after a bullet
      character. (Closes: #337344)

    - The preview screen is only hidden now when the user actually asked
      to continue the installation, not whenever any download starts.
      (Closes: #334343)

    - Fixed more real and potential UTF-8 display problems.
      (Closes: #317119)

    - Added "install" to the manpage synopsis. (Closes: #336584)

    - Translation updates:

      + Chinese (Simplified) (Closes: #335290)

      + Danish (Closes: #335880)

      + Finnish

      + French (Closes: #336261)

      + Romanian (Closes: #335680, #325749)

      + Russian (Closes: #336261, #336420)

 -- Daniel Burrows <dburrows@debian.org>  Fri,  4 Nov 2005 13:02:22 -0500

aptitude (0.3.5.1-2) experimental; urgency=low

  * Rebuild against apt 0.6.41.0exp1.

  * Pull changes from darcs head:

    - Handle wide characters more carefully when painting trees.

    - Never display a spurious right arrow in the menu bar.

    - Correct the sigc++ version displayed in the output of --version.

    - Shut down the preview only when installing packages, not for all
      downloads. (Closes: #334343)

    - Don't crash when a changelog contains tabs.

    - Highlight characters that look like bullets in parsed changelogs.

  * Remove the silly "extreme flexibility and customization" line from the
    description.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 18 Oct 2005 10:01:53 -0700

aptitude (0.3.5.1-1) experimental; urgency=low

  * New upstream release

    - Fix a segfault caused by a reference to freed memory. (Closes: #331400)

    - Don't crash when the user asks for a changelog of a non-installed
      package. (Closes: #331245)

    - Don't reopen the cache after a download unnecessarily. (Closes: #332708)

    - Use the correct encoding to decode the names of dependency types
      ("Depends", etc). (Closes: #331199)

    - Ensure that string inputs in the configuration dialogs are at least
      visible on narrow terminals.

    - Make sure that clicking Ok in a dialog is just like pushing Enter.
      (Closes: #332179)

    - Read the debtags vocabulary file from the correct location.
      (Closes: #331408)

    - Fix the parser of the backwards-compatibility filter grouping policy.
      (Closes: #331404)

    - Make the behavior of -q and --quiet more closely conform to how
      apt-get behaves. (Closes: #217477)

    - Make Ignore-Trust-Violations actually bypass the authentication
      prompt instead of just saying that it will. (Closes: #332883)

    - Document "aptitude reinstall" in the --help output. (Closes: #333872)

    - Don't output useless error messages in the cronjob if pkgstates
      doesn't exist. (Closes: #332891)

    - Set the priority to 'important' in the source, so I stop getting
      override disparity errors.

    - Translation updates:

      + Basque (Closes: #275704)
      + Czech
      + French
      + Swedish (Closes: #333267, #333918)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 14 Oct 2005 14:43:32 -0700

aptitude (0.3.4-1) experimental; urgency=low

  * New upstream release

    - g++-4.0 transition. (Closes: #321889)

    - Add a build-dependency on libncursesw5. (Closes: #321677, #325003)

    - Remove the log files when the package is purged. (Closes: #315346)

    - Update the copyright file.

    - Fix some crashes in the problem resolver. (Closes: #312553)

    - Handle -s and Simulate=true in visual mode as well as command-line
      mode. (Closes: #243192)

    - Fix the warning message printed when you can't forbid a particular
      version. (Closes: #246140)

    - Back up aptitude's pkgstates file in the same manner as dpkg's.
      (Closes: #225095)

    - In addition, keep the last version of pkgstates around every time it
      is modified. (Closes: #316460)

    - Don't use recursive main-loops or otherwise trap 'q'.
      (Closes: #136973)

    - The visual "Keep" command now implicitly cancels holds.
      (Closes: #326949)

    - A generic grouping policy based on search patterns is available.
      (Closes: #156065)

    - If a package version other than the default candidate or the current
      version is selected, aptitude will remember this selection.
      (Closes: #158771)

    - Debtags support. (Closes: #243830)

    - New command-line actions 'keep' and 'keep-all'. (Closes: #312923)

    - New command-line option --schedule-only that just records the
      requested actions in the state file without actually performing them.
      (Closes: #312249)

    - Backward searching is available (bound to backslash). (Closes: #323239)

    - It is now possible to repeat the last search in all pagers.
      (Closes: #270699)

    - The default terminal background color can be used; add

      Aptitude::Styles::Default { bg default; };

      to /etc/apt/apt.conf to enable it.  (Closes: #161872)

    - A warning is displayed when you modify the cache in read-only mode.
      (Closes: #175408)

    - If the option Aptitude::Purge-Unused is set, unused packages will be
      purged instead of just being removed. (Closes: #275150)

    - Add the current timezone to the timestamp printed in the log
      file. (Closes: #318501)

    - If libparse-debianchangelog-perl is installed, aptitude will extract
      version numbers from changelogs and highlight entries that are newer
      than the currently installed version.  (Closes: #290692)

    - aptitude now cleanly handles being suspended while dpkg is running.
      (Closes: #137311, #169479)

    - Sticky states are really ignored when "dist-upgrade" is given at the
      command-line. (Closes: #317885)

    - The password database is used instead of $HOME to determine where
      aptitude's configuration file goes, so people using sudo don't end up
      with root-owned mode 0700 files in their home directory.
      (Closes: #272429, #274216, #285334, #272409)

    - Temporary files and directories are created in /tmp instead of
      ~/.aptitude/.tmp. (Closes: #146485, #245348)

    - If aptitude fails to su to root, it will restore its previous
      selections instead of discarding them. (Closes: #281232)

    - Fix several display bugs related to UTF-8. (Closes: #317115)

    - Be sure to correctly set and update the screen width when running in
      command-line mode. (Closes: #230187)

    - Make keep properly cancel the removal of packages that are
      unused. (Closes: #278490)

    - Abort cleanly instead of crashing when the command-line mode gets
      EOF on stdin. (Closes: #318749)

    - Editorial fix to the amount freed/used indicator. (Closes: #318396)

    - Don't segfault if errors occur while the program is initializing (in
      particular, if the configuration files have errors). (Closes: #309445, #290408)

    - If there are currently broken packages when we go to upgrade, print
      a useful error message instead of just silently quitting.
      (Closes: #316027)

    - Fix the exit value of 'aptitude clean'. (Closes: #274098)

    - Terminate abnormally if the user tries to show a non-existant
      package. (Closes: #301291)

    - Display a more levelheaded message when problems occur during a dpkg
      run. (Closes: #230188)

    - Add a quietness option for command-line mode. (Closes: #217477)

    - Don't try to use terminal output tricks on non-ttys. (Closes: #276767)

    - Don't discard the user's selections to run reportbug. (Closes: #304748)

    - Fix the SEE ALSO entry for the reference manual. (Closes: #265723)

    - Documentation typo fixes. (Closes: #268916)

    - Document that ~a is a way to find packages according to the action
      that is currently going to be applied to them. (Closes: #311290)

    - Delete some unnecessary text that lacks a trailing newline.
      (Closes: #295924)

    - Don't include the upstream blow-by-blow changelog in the package.

    - Translation updates:

      + Czech (Closes: #330014)
      + Danish (Closes: #317824)
      + Finnish (Closes: #316225)
      + French (Closes: #318906)
      + Romanian (Closes: #318947)
      + Vietnamese (Closes: #316994, #319702, #322276)

 -- Daniel Burrows <dburrows@debian.org>  Sat,  1 Oct 2005 14:31:28 -0700

aptitude (0.3.3-1) experimental; urgency=low

  * New upstream release

    - UTF-8 support.  Closes: #198257 and friends.

    - Fix a case where different packages would be selected on startup
      than on shutdown. (Closes: #315359)

    - Fixed the startup progress bar. (Closes: #173259)

    - Don't crash when trying to display information about packages that
      have no Archive. (Closes: #312533)

    - Allow media changes to be cancelled (Closes: #315885)

    - Be more explicit when warning the user that the program is in
      read-only mode. (Closes: #313417)

    - Typo fix for cmdline_prompt.  (Closes: #313322)

    - Translation updates:

      * Chinese (Simplified) (Closes: #314330)

      * Chinese (Traditional) (Closes: #311587)

      * Czech (Closes: #314328)

      * Dutch (Closes: #315376, #316279)

      * Finnish (Closes: #312311, #313450)

      * German (Closes: #313663)

      * Lithuanian (Closes: #314643)

      * Norwegian Bokmal (Closes: #313459)

      * Norwegian nynorsk (Closes: #315988)

      * Polish (Closes: #315338)

      * Portuguese (Closes: #315486)

      * Russian (Closes: #313619)

      * Slovak (Closes: #309824)

      * Spanish (Closes: #313412)

      * Vietnamese (Closes: #313321)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  4 Jul 2005 13:15:03 -0400

aptitude (0.3.2-4) experimental; urgency=low

  * Build-Depend on docbook-xml (Closes: #309105).

 -- Daniel Burrows <dburrows@debian.org>  Sat, 14 May 2005 13:48:17 -0400

aptitude (0.3.2-3) experimental; urgency=low

  * Build against apt 0.6.36.

 -- Daniel Burrows <dburrows@debian.org>  Sat,  7 May 2005 19:33:01 -0400

aptitude (0.3.2-2) experimental; urgency=low

  * Merge brown-paper-bag problem resolver fixes from HEAD.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  1 May 2005 21:51:10 -0400

aptitude (0.3.2-1) experimental; urgency=low

  * New upstream release, fixing the following Debian bugs:

    - Don't discard apt's helpful error message explaining that dpkg
      --configure -a needs to be run.  (Closes: #160418)

    - Separated the search pattern for "has a sticky hold set" from the
      pattern for "will not be upgraded" (to get the effect of the old
      ~ahold, use ~U~akeep).  (Closes: #216730)

    - Don't crash when the user asks to see the help dialog.
      (Closes: #293935, #306619)

    - Properly preprocess and format the messsage about failed downloads
      (Closes: #298713)

    - If -s is passed to the visual interface, just print an error message
      instead of refusing to start.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  1 May 2005 14:16:51 -0400

aptitude (0.3.1-4) experimental; urgency=low

  * Correct the Build-Depends on apt to make sure 0.6.0 or greater is used.
    (Closes: #293130)
 -- Daniel Burrows <dburrows@debian.org>  Tue,  1 Feb 2005 12:25:22 -0500

aptitude (0.3.1-3) experimental; urgency=low

  * Move the doc packages to the doc section, as suggested by ftpmaster.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 29 Jan 2005 12:00:35 -0500

aptitude (0.3.1-2) experimental; urgency=low

  * Doh, change the Build-Depends to require libsigc++-2.0-dev. (Closes: #292756)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 29 Jan 2005 10:58:47 -0500

aptitude (0.3.1-1) experimental; urgency=low

  * New upstream release

  * Standards-Version bumped to 3.6.1.0.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 10 Jan 2005 18:03:47 -0800

aptitude (0.3.0-1) experimental; urgency=low

  * New upstream release
    - Supports apt 0.6.  (Closes: #281541, #238200)
    - By default, aptitude will only pause after a download if an error
      has occured.  In the UI options dialog, you can also choose to
      always or never pause. (Closes: #219920)
    - Translation updates:
      + Basque (Closes: #275704)
      + Brazilian Portuguese (Closes: #275220)
      + Chinese (Traditional) (Closes: #274268)
      + French (Closes: #274953)
      + German (Closes: #283546)
      + Hebrew [NEW] (Closes: #275266)
      + Lithuanian (Closes: #280049)
      + Polish (Closes: #265481)
      + Romanian (Closes: #281531)
      + Slovak (Closes: #279559)
      + Turkish (Closes: #280009)

  * A French version of the user's manual is now available in
    aptitude-doc-fr.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 22 Dec 2004 14:36:09 -0800

aptitude (0.2.15.8-1) unstable; urgency=high

  * New upstream release
    - RMs: this release includes a patch to work around UTF-8 problems
      in an ugly way.  The debian-installer team has requested it for sarge.
    - Only show packages that really are suggested in "Suggested Packages".
      (Closes: #270667)
    - Apply an old patch from the BTS, mostly (the 'l' problem was
      handled by using 'L' as the keybinding).  (Closes: #179533)
    - Translation updates:
      + French (Closes: #272824)
      + Italian (Closes: #265243)
      + Japanese (Closes: #272454)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 28 Sep 2004 14:33:42 -0400

aptitude (0.2.15.7-1) unstable; urgency=high

  * New upstream release.
    - Documentation fixes (Closes: #269102, #269100)
    - Translation updates:
      + Brazilian (Closes: #271411)
      + Catalan (Closes: #270917)
      + Finnish (Closes: #263313)
      + French (Closes: #270713)
      + Greek (Closes: #265006)
      + Italian (Closes: #268263)
      + Japanese (Closes: #264867)
      + Norwegian (Closes: #269976)
      + Russian (Closes: #266294)
      + Spanish (Closes: #269311)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 17 Sep 2004 14:30:42 -0400

aptitude (0.2.15.6-1) unstable; urgency=low

  * New upstream release.  Give up on getting into testing the usual way.
    - Un-reverse the display of the size change of individual versions.

    - Install localized manpages in 'make install'.

    - Translation updates:
      + Czech (Closes: #262524)
      + Danish (Closes: #262129)
      + Dutch (Closes: #262000)
      + Finnish (Closes: #263313)
      + German (Closes: #262534)
      + Italian (Closes: #261819)
      + Portuguese (Closes: #261502)


 -- Daniel Burrows <dburrows@debian.org>  Fri,  6 Aug 2004 23:45:01 -0400

aptitude (0.2.15.5-2) unstable; urgency=medium

  * This is probably useless due to the gcc-3.4 transition, but
    try to give the package a snowball's chance of getting into
    testing.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 26 Jul 2004 09:42:53 -0400

aptitude (0.2.15.5-1) unstable; urgency=low

  * New upstream release, closing the following Debian bugs:
    - aptitude can now log to multiple destinations (specified
      as a configuration group); Closes: #259714.
    - A format code to display priorities (as set in apt_preferences)
      of package versions is now available: %i.  May close #240423.
    - An option (Allow-Null-Upgrade) is available to disable one of
      the sanity-checks performed before an install run. Closes: #260590.
    - Internal pagers scroll by the correct amount. Closes: #260713.
    - The display limit can be reset by entering an empty string.
      Closes: #260244.
    - Don't use nonportable pthreads symbols.  Closes: #260259.
    - Translation updates:
      + Brazilian (Closes: #260953)
      + Catalan (Closes: #261095)
      + Czech (Closes: #259966)
      + Dutch (Closes: #260632)
      + Italian (Closes: #261017)
      + Greek (Closes: #261029)
      + Portuguese (Closes: #261425)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 25 Jul 2004 22:56:00 -0400

aptitude (0.2.15.4-1) unstable; urgency=low

  * New upstream release, closing the following Debian bugs:
    - aptitude now treats Suggests-Important as a synonym for
      Keep-Suggests, which should smooth out the transition a
      bit for people who had it turned on.  (Closes: #259387)
    - The 'download' action at the command-line now accepts a
      version or archive specification.  (Closes: #160145)
    - A menu command and a keyboard command are now available
      to find the next broken package.  (Closes: #162474)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 15 Jul 2004 19:21:59 -0400

aptitude (0.2.15.3-1) unstable; urgency=low

  * New upstream release, closing the following Debian bugs:
    - Fix the behavior of menubar hiding (Closes: #258688).
    - Suppress harmless self-conflicts when describing problems
      with a package (Closes: #258533).
    - The default keys bound to Yes and No are translatable.
      (Closes: #258409)
    - Split the manpage into a separate file. (Closes: #259089)
    - Suppress some mostly useless messages unless the user asks
      us to be verbose. (Closes: #258913)
    - Translation updates:
      + Brazilian (Closes: #258667), Greek (Closes: #258805),
        Spanish (Closes: #258243)
  * Split the (large) HTML documentation into separate packages.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 13 Jul 2004 02:49:06 -0400

aptitude (0.2.15.2-1) unstable; urgency=low

  * New upstream release, closing the following Debian bugs:
    - No longer stores unchanged options in the user configuration file.
      (Closes: #175409)
    - s/forbid-upgrade/forbid-version/g (Closes: #257901)
    - Translation updates: Finnish (Closes: #257902); Italian (Closes: #257710)

 -- Daniel Burrows <dburrows@debian.org>  Wed,  7 Jul 2004 14:11:46 -0400

aptitude (0.2.15.1-1) unstable; urgency=low

  * New upstream release.

    - Incorporates the fix from -2.

    - Includes the screenshots that were missing in the previous release.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  4 Jul 2004 15:14:15 -0400

aptitude (0.2.15-2) unstable; urgency=low

  * Avoid dereferencing apt_cache_file in a codepath that is sometimes
    invoked while it is NULL.  (Closes: #257420)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  4 Jul 2004 13:26:47 -0400

aptitude (0.2.15-1) unstable; urgency=low

  * New upstream release, closing the following Debian bugs:
    - Hopefully this version compiles on ia64. (Closes: #243932)

    - aptitude no longer displays a warning about removing Essential
      packages if the removal is cancelled. (Closes: #254422)

    - All traces of Suggests-Important were removed from the program.
      The program now has enough features that there is no longer any
      good reason to use this option; its main use was to find
      suggested-but-not-installed packages, and there are better
      ways of doing that now.
      (Closes: #245410)

    - The non-hierarchical tree mode is broken and shows no signs of
      being fixed; until it is fixed, aptitude will not use it.
      This means the categorical browser actually works again.
      (Closes: #120978, #144079, #144083, #151437, #242397)

    - ORed dependencies are shown correctly in 'aptitude show'.
      (Closes: #254740)

    - A --visual-preview command-line option is now available.
      (Closes: #253335)

    - Translated task descriptions will be displayed. (Closes: #203725)

    - Removed trailing periods from all menu descriptions.
      (Closes: #244676)

    - Applied a manpage patch from Sebastian Kapfer; unfortunately,
      the old manpage has been superseded by a (pretty much identical)
      new manpage generated from DocBook :-/.  (Closes: #242304)

    - Fixed the display of ORed dependencies when describing reasons
      for a package's state. (Closes: #242663)

    - Improved the calculation of reasons for a package's state in the
      presence of virtual packages. (Closes: #244817)

    - Fixed -R and -r.  (Closes: #243289)

    - Translations:

      - Basque updates (Closes: #244858)

      - Brazilian updates (Closes: #242332)

      - Catalan updates (Closes: #248764)

      - Czech updates (Closes: #243728, #256326)

      - Danish updates (Closes: #244539)

      - Dutch updates (Closes: #249405)

      - German updates (Closes: #233917, #255396)

      - Italian updates (Closes: #244679)

      - Japanese updates (Closes: #250023)

      - Lithuanian updates (Closes: #242815)

      - Norwegian Bokmal translation added (Closes: #250500, #252507)

      - Polish updates (Closes: #248365)

      - Portugese updates (Closes: #242309, #242372, #244850, #245699)

      - Russian added (Closes: #250498)

      - Traditional Chinese translation added (Closes: #244359)

  * Added build-depends on xsltproc, docbook-xsl, and html2text for
    the shiny new DocBook documentation.

  * Quote some more menu strings to make lintian happy.

 -- Daniel Burrows <dburrows@debian.org>  Thu,  1 Jul 2004 17:07:14 -0400

aptitude (0.2.14.1-2) unstable; urgency=low

  * Apply patch from SVN to not crash when Auto-Upgrade is "true".

 -- Daniel Burrows <dburrows@debian.org>  Sun,  4 Apr 2004 10:48:12 -0400

aptitude (0.2.14.1-1) unstable; urgency=low

  * New upstream release
    - Added a command-line "reinstall" action. (Closes: #240225)
    - Added a "%t" formatting escape to display Archive information.
      (Closes: #113354)
    - Support the Key attribute of tasks.  (Closes: #202781)
    - Fix fetching ChangeLogs for epoched and non-main packages.
      (Closes: #237340, #233855)
    - Patch from Danilo Piazzalunga to update and polish the manpage.
        + Fixed reference to apt-get(8).  (Closes: #198891)
        + Document the -t command-line option. (Closes: #225053)
    - Fix the names given to downloads in the View menu. (Closes: #234041)
    - Wrap apt error messages. (Closes: #233923)
    - Display Provided packages in the package information screen.
      (Closes: #121979)
    - Never leave the user sitting at a blank screen if the last view closes.
      (Closes: #233783)
    - Cosmetic cleanup of apt_options.cc.  (Closes: #233528)
    - Translation updates, thanks to Christian Perrier for helping to triage:
        + Brazilian Portuguese program translation update. Closes: #237866, #199306
        + Czech translation update. Closes: #240604
        + Danish program translation update. Closes: #230642, #234805
        + Finnish program translation update. Closes: #238188
        + French program translation update. Closes: #237501
        + German program translation update. Closes: #233917
        + Italian translation update. Closes: #239915
        + Japanese program translation update. Closes: #235256
        + Japanese translation update. Closes: #239242
        + Lituanian translation update. Closes: #240683
        + Norwegian Nynorsk translation update. Closes: #241104
        + Partial Greek program translation added. Closes: #237808
        + Partial Traditional Chinese program translation update. Closes: #230893
        + Portuguese program translation. Closes: #239171
        + Simplified Chinese translation update. Closes: #240739
        + Spanish program translation update. Closes: #234537

 -- Daniel Burrows <dburrows@debian.org>  Sat,  3 Apr 2004 23:40:19 -0500

aptitude (0.2.14-4) unstable; urgency=low

  * Somehow my orig.tar.gz got lost and the last upload was native (ouch!!).
  Fixing that in this upload.

 -- Daniel Burrows <dburrows@debian.org>  Fri,  2 Apr 2004 14:45:36 -0500

aptitude (0.2.14-3) unstable; urgency=low

  * Correct the Build-Dependency on g++ to have an appropriate epcoh.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 16 Feb 2004 11:41:21 -0500

aptitude (0.2.14-2) unstable; urgency=low

  * Build-depend on libncurses5-dev | libncurses-dev, not just libncurses-dev.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 15 Feb 2004 15:33:40 -0500

aptitude (0.2.14-1) unstable; urgency=low

  * New upstream release
    - No longer crashes if sources.list and/or apt.conf are missing
      or unreadable. (Closes: #220732)

    - Many bugs were closed in the experimental versions below; I doubt
    Katie will autoclose them, so here they are again in the first upload
    to unstable since 0.2.13.
      Closes: #159582, #141925, #141720, #222907, #216268, #196477, #230060, #214021, #214116, #224966, #103455, #208401, #149161, #214245, #222583, #143732.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 15 Feb 2004 14:14:50 -0500

aptitude (0.2.13.9999.3-1) experimental; urgency=low

  * New upstream release
    - Translation update from Ruben Porras (Closes: #224966)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 13 Feb 2004 13:42:21 -0500

aptitude (0.2.13.9999.2-1) experimental; urgency=low

  * New upstream release
    - Changelog fetching works again. (Closes: #103455, #208401)
    - When packages are automatically kept back from being upgraded,
      aptitude no longer marks them as persistently held.
      (Closes: #149161)
    - Invalid search patterns on the command line no longer
      crash aptitude.  (Closes: #214245)
    - Downgrades are now logged. (Closes: #222583)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  8 Feb 2004 20:51:56 -0500

aptitude (0.2.13.9999-1) experimental; urgency=low

  * New upstream release.
    - The cache-loading code no longer aborts after you add an apt source.
        (Closes: #143732)
    - Adjusting hold settings no longer affects the automatic status
      of a package.  (Closes: #159582)
    - Don't prompt if there's nothing to upgrade, or if we're only doing
      what the user asked us to do. (Closes: #141925, #141720, #222907)
    - Actually save options when the user hits "Ok".  (Closes: #216268)
    - Removed the ~e match code; it is superceded by regular expressions.
      (Closes: #196447)
    - Added i18n markings to many strings that were missing them.
      (Closes: #230060)
    - Fixed the German translation of "limit".
      (Closes: #214021)
    - Added a pt_BR translation.
      (Closes: #214116)

  * Uploaded to experimental to give translators a chance to catch up.
    (also to let experimental users and aptitude fans find any remaining
     gotchas)

 -- Daniel Burrows <dburrows@debian.org>  Tue,  3 Feb 2004 16:33:14 -0500

aptitude (0.2.13-2) unstable; urgency=low

  * Backport from CVS: don't enable installation of suggested packages
    the first time the user opens the preferences dialog!  (one-line change)

 -- Daniel Burrows <dburrows@debian.org>  Thu,  2 Oct 2003 23:10:38 -0400

aptitude (0.2.13-1) unstable; urgency=low

  * New upstream release.
    - Fixes some longstanding memory-handling-related crashes by not
      memcpy'ing std::strings.  Thanks to Peter Lundkvist and Sami Liedes
      for finding the cause of this bug.
      I may have missed some bugs that need to be closed by hand (this
      one had a lot of symptoms and was reported many times)
        Closes: #192073
    - Fixes abnormal exits in very specific circumstances.  (after
      updating the package list while viewing details about a package
      which vanished from the cache)  Thanks to Peter Lundkvist for the
      diagnosis.
        Closes: #109420
    - No longer prints incorrect flags. (Closes: #183462)
      Thanks to Seneca Cunningham for the diagnosis.
    - Translation updates to pt_BR by Andre Luis Lopes (Closes: #195755)
    - Should build with g++-3.3 now.  (Closes: #194424, #195514)
  * Change Build-Depends ito specify libsigc++-1.2-dev, since aptitude has
    been ported to libsigc++-1.2.
  * Call configure with --disable-werror, since ncurses is still broken.
    (see bug #195732)
  * Hack around changed behavior of configure wrt MKINSTALLDIRS.

 -- Daniel Burrows <dburrows@debian.org>  Mon,  9 Jun 2003 15:26:55 -0400

aptitude (0.2.12-3) unstable; urgency=low

  * Modified the logrotate script to not complain if /var/log/aptitude is
    missing.  (Closes: #192555, #193072)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 12 May 2003 16:53:16 -0400

aptitude (0.2.12-2) unstable; urgency=low

  * Rebuild against apt 0.5.5.  It looks like this apt is
    binary-compatible with 0.5.4.9, but better safe than sorry I say.

 -- Daniel Burrows <dburrows@debian.org>  Wed,  7 May 2003 14:22:46 -0400

aptitude (0.2.12-1) unstable; urgency=low

  * New upstream release.  Debian bugs closed in this release:
    - Compiles with g++-3.2!  (Closes: #166435, #177092, #177463, #178520)
    - Search patterns can be POSIX regular expressions (Closes: #142450)
    - The internal pager now has a search function (Closes: #144085)
    - Fixed a bug in the formatting code (Closes: #163749)
    - Visually flag dependencies for which cannot be fulfilled by any
      available package.  (Closes: #157950)
    - In the quick-help bar, indicate that "g" also removes packages.
      (Closes: #158966)
    - aptitude no longer remembers whether a package was to be reinstalled.
      (Closes: #167236, #121346)
    - Parsing of bold colors is fixed. (Closes: #168287)
    - "aptitude install <task-name>" installs all packages in the task.
      (Closes: #165624)
    - Added a (mostly untested) "-t" argument, which should behave in
      the same manner as apt-get's "-t" argument.  (Closes: #151583)
    - Included da.po updates from Morten Bo Johansen <mojo@image.dk> and
      pt_BR.po updates from Andre Luis Lopes <andrelop@ig.com.br>.
      (Closes: #171903, #162512)
    - Changed the Content-Type of fr.po, as requested by the translator.
      (Closes: #156616)
    - The information that's logged about the change in the total installed
      package size is human-readable.  (Closes: #154924)
    - Fixed a display bug when downloading really big packages.
      (Closes: #171903)
    - Documented the "M" and "m" keystrokes.  (Closes: #160936, #154000)
    - Deleted references to the "x" keystroke.  (Closes: #166571)

  * Wrote a logrotate script, so aptitude's log file should now be rotated
    monthly.  (Closes: #160795)

  * Update standards version.

  * debhelper 4.0.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 10 Feb 2003 15:19:25 -0500

aptitude (0.2.11.1-3) unstable; urgency=low

  * Fix the aptitude-wants-to-remove-dpkg bug by following pre-depends
  in the garbage collector.  This is a one-line fix. (Closes: #151701)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 12 Jul 2002 22:36:21 -0400

aptitude (0.2.11.1-2) unstable; urgency=high

  * Er, evidently katie doesn't like capitalized urgencies.  This is the
  only change in this upload.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 23 Apr 2002 16:06:02 -0400

aptitude (0.2.11.1-1) unstable; urgency=HIGH

  * New upstream release.  RM: this does not change a single line of code;
  it just updates the translations (the reason for the release; these
  translations had fallen way behind) and fixes a few minor typos
  in documentation.
    - Merged updated Polish translations from
      Michal Politowski <mpol@charybda.icm.edu.pl>.
      (Closes: #143051)
    - Merged updated Finnish translations from
      Jaakko Kangasharju <ashar@iki.fi>.
    - Included information about aptitude's CVS in the README
      (Closes: #141371)
    - Fixed the dangling reference to SEARCHING in the manpage
      (Closes: #142651)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 21 Apr 2002 23:53:49 -0400

aptitude (0.2.11-1) unstable; urgency=low

  * New upstream release
    - Not quite a Debian bug, but IMPORTANT: I have made the "new" command
      style the default!  If you have modified your configuration this should
      not be an issue, but if you haven't and you prefer the old style, look
      in the "UI Options" menu.
    - Translations are probably all screwed up in this release; many strings
      changed.  Sorry :-(
    - The Y/n command-line prompt now is more capable: you can enter the
      full UI or modify package selections from it.  Enter '?' at it for a
      complete description.  (Closes: #136916)
    - The '+' keybinding is no longer used to reinstall packages, ever.
      Use 'L' if you really want to reinstall something. (Closes: #138122)
    - An "unhold" command is now available from the command-line.
      (Closes: #137770)
    - A tripartite joeyh bug:
      * Tasks and sections which have 'descriptions' now display them in
        the "long description area".  (some of the descriptions I've written
        for sections are a bit hokey, though)
      * The Tasks tree previously hid many packages due to a parsing bug,
        making it virtually useless.  This is now fixed.
      * The "alien" section has a description now.
        (Closes: #136684)
    - Added a %H escape for display areas.  It expands to the current
      computer's hostname.  (Closes: #137754)
    - In command-line mode, suppress the prompt on upgrades when there are
      no actions to be taken.  (Closes: #137302)
    - Fixed a bug that caused packages being reinstalled to not be listed
      in the preview screens.  (Closes: #138120)
    - Fixed (read: rewrote to dehackify) the description widget's formatting
      code.  (Closes: #137783)
    - If the user aborts an update, the cache is reloaded before returning to
      the display.  (Closes: #138070)
    - The default value of autoclean is really "false" again.
      (Closes: #138685)
    - Fixed a rather nasty segfault due to running off the end of the package
      list.  How I didn't notice this for so long, I don't know.
      (Closes: #136967)
    - Eliminated an infinite loop that occured if the user tried to scroll
      the description while it was hidden.  (Closes: #140361)
    - The "install" command-line option now checks whether you entered a valid
      package name before deciding whether to treat trailing '+'/'-'/'_'/'='
      characters as commands.  (Closes: #140933)
    - You can no longer focus an unscrollable description widget, and the
      highlight bar in the package tree is hidden when the tree loses focus.
      (Closes: #136550)
    - "aptitude --help" now documents the "download" command.
      (Closes: #138150)
    - The status messages on startup are now suppressed when using
      "aptitude search".  (Closes: #136873)
    - When the download is stalled, "stalled" is now displayed in the progress
      bar (Curses frontend only)  (Closes: #136520)
    - The command-line mode deals correctly with window resizes now.
      (Closes: #137945)
    - No longer displays an "available" version for obsolete/local packages.
      (Closes: #120872)
    - aptitude now recognizes the "--version" option.  (Closes: #141296)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  7 Apr 2002 10:02:50 -0400

aptitude (0.2.10-1) unstable; urgency=low

  * New upstream release
    - You can now access many features of aptitude from the command line.
      See "aptitude help" and/or aptitude(1) and/or the README for details.
    - The "p" package state is documented (Closes: #135112)
    - Sorted out the ~r matcher status.  Some people like the old behavior,
     so it's been reinstated; you can find out what packages would be
     or have been garbage-collected via ~g now.  (Closes: #135571)
    - Fixed a minor display bug in the download summary: the total time
     always had an extra "s" appended to it.  (Closes: #135567)
    - Removed the INSTALLATION section from the manual.  On the other
     hand, the space it used is more than taken up by the documentation for
     the new command-line stuff.  I could move that elsewhere -- let me
     know what you think, Joey.  (Closes: #136478)

 -- Daniel Burrows <dburrows@debian.org>  Sat,  2 Mar 2002 21:29:06 -0500

aptitude (0.2.9.4-2) unstable; urgency=high

  * Backported a fix from CVS for a nasty interaction when the user
  tried to follow Suggests and remove unused packages at the same time.
    This doesn't fix all the issues, but it gets rid of the most
  immediate problem.  A more complete fix may be hashed out in the future.
    (Closes: #135956)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 27 Feb 2002 09:12:18 -0500

aptitude (0.2.9.4-1) unstable; urgency=high

  * New upstream release
    - Fixed crashing bug on Alpha due to divide-by-zero.
      This made aptitude much less useful on alpha machines, hence the
    high urgency.
     (Closes: #122064)
    - forget-new-on-update and forget-new-on-install now actually work.
     (Closes: #134226)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 17 Feb 2002 10:44:57 -0500

aptitude (0.2.9.3-1) unstable; urgency=low

  * New upstream release
    - Compiles with g++-3 again.  (Closes: #133250)
    - Really include aptitude.pl.1 (Closes: #114396)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 10 Feb 2002 16:02:24 -0500

aptitude (0.2.9.2-1) unstable; urgency=low

  * New upstream release
    - ~ahold now does the Right Thing[tm].  (Closes: #126800)

 -- Daniel Burrows <dburrows@debian.org>  Sat,  9 Feb 2002 15:53:38 -0500

aptitude (0.2.9.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sat,  9 Feb 2002 11:43:08 -0500

aptitude (0.2.9-1) unstable; urgency=low

  * New upstream release.  Debian bug-related changes:
    - aptitude now tracks automatically installed packages, similarly
      to deborphan/debfoster.  (Closes: #122726, #102205, #114464)

    - Packages which are held, but not broken, are now visually flagged
      as being broken.  I believe this is enough of a fix for this
      particular bug.  (Closes: #120785)

      There is more to do in general, but there are other bugs filed
      about that :)

    - Log messages now include the date and time.  (Closes: #120874)

    - Re-ordered the preview screen's grouping to hopefully put more
      interesting things first and be more logical.  Feedback requested.
      (Closes: #128542)

    - Rewrote several sections of the documentation, incorporating some
      user feedback (Closes: #126492)  There may be more work to do here.

    - Mark all upgradable packages to be upgraded BEFORE resolving
      dependencies.  This fixes a somewhat complex misbehavior
      involving ORed version-specific dependencies.  (Closes: #108379)

    - Changed the symbols for collapsed/opened trees to something that I
      hope is less ambiguous.  (Closes: #120890, #102033)

    - When editing a string, the cursor now starts at the beginning
      of the line.  (Closes: #120890)

    - When reconfiguring packages, the software fails more gracefully if
      /usr/sbin/su-to-root does not exist.  (Closes: #130423)

    - Really made translated header widths work (I tested it this time! :) )
      (Closes: #114401)

    - Corrected a misspelling in the options dialog (Closes: #120887)

    - Fixed a misspelling in de.po (Closes: #123644)

    - Fixed a minor display bug when a package category was both longer
      than the width of the display, and the last item on the display.
      (Closes: #123652)

 -- Daniel Burrows <dburrows@debian.org>  Sat,  9 Feb 2002 11:24:08 -0500

aptitude (0.2.8.1-1) unstable; urgency=low

  * New upstream release
    - Matcher added for packages which are not depended upon.  (bug #122726)
      Not closing the bug, as there is more to do in this area.

    - The pause after downloading is now optional.  (Closes: #120873)

    - Package data moved to /var/lib. (FHS fix -- the package *ought* to
    handle the transition properly)  (Closes: #122334)

    - Fixed description of the "comm" section to show that it's not just
    faxmodems.  (Closes: #121951)

    - The descriptions of "j" and "k" were reversed in the help text.
    (so it said that "j" moved up and "k" moved down)  This has been fixed.
    (Closes: #122061)

    - Updated pt_BR with patch from Andre Luis Lopes <andrelop@ig.com.br>.
    (Closes: #122251)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  9 Dec 2001 16:51:30 -0500

aptitude (0.2.8-4) unstable; urgency=high

  * Rebuild to kill the stray config.cache that somehow snuck into the
  Debian diff.  (Closes: #122890)  Urgency=high to get this RC fix safely
  into woody.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  9 Dec 2001 09:48:38 -0500

aptitude (0.2.8-3) unstable; urgency=low

  * Backported patch from Falk Hueffner to fix segfaults and crashes on
  alpha. (Closes: #114270)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 28 Nov 2001 12:46:30 -0500

aptitude (0.2.8-2) unstable; urgency=low

  * Backported patch to improve incsearch behavior: it now
  reverts to the starting location if an invalid (or, eg, null) pattern
  is provided.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 22 Nov 2001 11:14:46 -0500

aptitude (0.2.8-1) unstable; urgency=low

  * New upstream release
    - Better documents what '/' does with no special search terms.
      (Closes: #120592)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 22 Nov 2001 10:56:10 -0500

aptitude (0.2.7.999-1) unstable; urgency=low

  * New upstream release.
    - Doesn't crash if tasksel is missing, and Recommends tasksel.
      (Closes: #120578)
    - Correctly uses translated column widths.
      (Closes: #114401)
  * Never mind, aptitude wasn't added to base after all.  (too close to
  freeze)  Bugfixing like mad anyway; Thanksgiving vacation only happens
  once a year!

 -- Daniel Burrows <dburrows@debian.org>  Wed, 21 Nov 2001 21:08:55 -0500

aptitude (0.2.7.3-2) unstable; urgency=low

  * Fixed a silly typo which made search histories (for instance) not
  work right.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 21 Nov 2001 15:04:13 -0500

aptitude (0.2.7.3-1) unstable; urgency=low

  * New upstream release
    - pl translation finally merged (took way too long) (Closes: #114396)
    - Reference to ~a/~A in README fixed.  (Closes: #116695)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 20 Nov 2001 21:30:36 -0500

aptitude (0.2.7.2-1) unstable; urgency=high

  * New upstream release
    - Should run at a decent speed on low-memory systems again.
      (Closes: #116750)
    - "f" is mentioned in mine-help.txt (Closes: #120251)
  * Urgency high because aptitude was just added to base (woohoo!) and
  base freezes very soon (bummer) and the efficiency issue above will
  make aptitude virtually unusuable on many older systems. (bleach)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 20 Nov 2001 20:07:59 -0500

aptitude (0.2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon,  1 Oct 2001 15:41:21 -0400

aptitude (0.2.7-1) unstable; urgency=low

  * New upstream release
    - Supports the Task: header.  (Closes: #113567)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  1 Oct 2001 15:06:50 -0400

aptitude (0.2.6.5-1) unstable; urgency=low

  * New upstream release
    - workaround for g++ on arm.  Hopefully this will make aptitude
      buildable on all archs.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Sep 2001 19:40:09 -0400

aptitude (0.2.6.4-1) unstable; urgency=low

  * New upstream release
    - Fixed the loading of keybindings.  (Closes: #112306)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Sep 2001 08:34:35 -0400

aptitude (0.2.6.3-1) unstable; urgency=low

  * New upstream release.
    - Unbroke the 'level_next' and 'auto-advance' features.  (Closes: #112267)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 14 Sep 2001 17:55:39 -0400

aptitude (0.2.6.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Thu, 13 Sep 2001 19:31:31 -0400

aptitude (0.2.6.1-1) unstable; urgency=low

  * New upstream release
    - Downloads work again.  (mea culpa; Closes: #111950)
    - Translations are back in the package (Closes: #111904)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 13 Sep 2001 12:20:34 -0400

aptitude (0.2.6-1) unstable; urgency=low

  * The "deity is kaput" upload.  I was going to wait until the previous
  upload went into testing, but deity is not being fixed and not being
  fixed...which seems to be keeping the new apt and thus the new aptitude
  out of testing.  Bleah.

  * New upstream release
    - Fixed the situation with Default-Grouping being undocumented and
    overriding the preview grouping.  Closes: #110704
    - Fixed matching with ~ahold and ~areinstall.  Closes: #111466
    - It's tempting to close 104092, because the categorical browser
    has bad lynx-like bindings...but they suck and aren't consistent
    with the rest of the program.  So there.

 -- Daniel Burrows <dburrows@debian.org>  Sat,  8 Sep 2001 21:30:39 -0400

aptitude (0.2.5.3-3) unstable; urgency=high

  * The "hey, Mr. Testing Bot, please move my code soon!" upload.
  * Backported fixes from CVS:
    - Deleted some nasty debug code that didn't compile on ia64.
    (Closes: #110438)
    - Finally found and fixed the (simple and stupid) bug that was
    preventing autoclean-on-update from working properly.
     (Closes: #108565)
  * Urgency high.  Yes, this is an evil hack.  But these changes will
    not break aptitude, and I intend to upload a version containing massive
    changes as soon as this is safely in testing.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 30 Aug 2001 10:24:28 -0400

aptitude (0.2.5.3-2) unstable; urgency=low

  * The "A pox on deity-devel@debian.org" upload.
  * So the deity folks kindly went and bumped the soname, thus breaking all
  software compiled against previous versions.  So aptitude has to be
  recompiled.  (and I was so close to getting into testing, too.. :( )
  Closes: #109449

 -- Daniel Burrows <dburrows@debian.org>  Tue, 21 Aug 2001 19:15:41 -0400

aptitude (0.2.5.3-1) unstable; urgency=low

  * New upstream release.
    - Oops, getopt_long returns an int, not a char.  Storing it in an int
    lets the program compile on ppc.  (Closes: #107525)
    - Added a #include that's needed to compile on the Hurd.  (Closes: #107672)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  6 Aug 2001 16:52:44 -0400

aptitude (0.2.5.2-1) unstable; urgency=low

  * New upstream release.
    - Hopefully, the endianness issues on alpha are now fixed, although
    I suppose there's a chance they'll reach out from the grave to
    throttle me..  (Closes: #106588)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 27 Jul 2001 20:27:43 -0400

aptitude (0.2.5.1-1) unstable; urgency=low

  * New upstream release
    - The horrible, ugly, terrible, never-should-have-happened-in-a-megayear
    bug which caused most line-entries to crash has been fixed.  Mea culpa.
    (Closes: #106378)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 24 Jul 2001 00:08:18 -0400

aptitude (0.2.5-1) unstable; urgency=low

  * New upstream release
    - Multi-CD installs work.  Closes: #104236
    - When editing the grouping policy, the current policy is displayed
    as a default.  Closes: #103962
    - Replaced the welcome dialog box with a less obtrusive list of
    keybindings at the top of the screen.  Closes: #104483

 -- Daniel Burrows <dburrows@debian.org>  Mon, 23 Jul 2001 09:14:54 -0400

aptitude (0.2.4-1) unstable; urgency=low

  * New upstream release.
    - Compiles and seems to work with g++-3.0.  Closes: #104723
  * DH_COMPAT=2, so we really build on potato/Progeny.  (I don't even know
  offhand what DH_COMPAT=3 does, but it doesn't seem to be important for this)
  Also, only build-depend on debhelper >=2.0.0.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 19 Jul 2001 09:59:17 -0400

aptitude (0.2.3-1) unstable; urgency=medium

  * New upstream release
    - Media-change messages should now fit on the screen (a better
    fix is still needed)
    - The package list will retain its selection upon being resized.
    Closes: #103963
    - Fixed a crash triggered by a word in a package description
    longer than the width of the screen.  (libhtml-munger-perl was
    the culprit)  Closes: #103961
    - Mark broken dependencies using text as well as color.  Closes: #79047
    - Make the menubar visible when no screen is active, even if it's set
    to autohide.  Closes: #102918
    - Changing a package's status should advance to the next package.
    Closes: #104209
    - aptitude can now automatically become root (with the root password,
    of course) -- I believe this should address the issue of starting it
    from the Debian menu.  Closes: #71948

 -- Daniel Burrows <dburrows@debian.org>  Wed, 11 Jul 2001 12:15:11 -0400

aptitude (0.2.2-1) unstable; urgency=low

  * New upstream release
    - Default widths are now modifiable by the translator.  Closes: #101406

 -- Daniel Burrows <dburrows@debian.org>  Fri, 29 Jun 2001 14:36:57 -0400

aptitude (0.2.1-1) unstable; urgency=low

  * New upstream release
    - CD-ROM installs should work now.  Closes: #98956
    - Really fixed signedness issues.  Closes: #101398,#101504
    - Options are autosaved now.  Closes: #102599

  * Maintainer address changed to @debian.org
  * Removed beta-software warnings from the package description.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 28 Jun 2001 15:24:15 -0400

aptitude (0.2.0-1) unstable; urgency=low

  * New upstream release.  This is still missing a few things -- in
    particular, some translators haven't caught up yet.
  * This one goes into unstable.  Much rejoicing (I hope)
  * libsigc++-dev added to Build-Depends, since we need it now.

  * I believe that the code to prevent installation from proceeding
    while packages are broken will avoid these situations where the
    problem resolver does stuff behind the user's back.
    Closes: #87774, #96559
  * Most of the code has been rewritten.  If these old bugs and
    crashes are still around, it's pure coincidence, and I can't reproduce
    any of them.  (I suspect they weren't even present in the latest 0.0.x
    revision)
    Closes: #60156, #63358
  * I believe that all known problems with displaying dependencies have
    been addressed.  Closes: #68628
  * I'm sure that aptitude purges itself completely by now.  Closes: #66711
  * The download progress screen has been rewritten, and will now scroll
    to keep the currently downloading item in view.  Closes: #69131
  * Errors are now collected into a single big dialog box, so even if
    there are hundreds, there's no confusion about whether the program
    crashed.  (incidentally, I still can't figure out where this
    "tried to dequeue a fetching object" comes from) Closes: #71314
  * Essential: yes packages are now hard to remove (at least when you
    first select them..if they get removed by the problem resolver, you
    won't get asked, but that should be hard to do.  Closes: #86115
  * I think most of the problems with bad search patterns are finally
    fixed (knock on wood)  This one is, at least.  Closes: #95455
  * I believe that the restructuring of the UI also eliminated the
    occasional crashes when installing from an info screen.  (knock on
    wood again)  Closes: #100187
  * Fixed the signed-char problems from 0.1.9.  Closes: #101398
  * The rewritten download progress screen should report 404 errors.  At
    least, it works for me..  Closes: #102109
  * You can now ask aptitude to run an autoclean operation after updating
    the package lists (which I think is the right time to do it)
    Closes: #97653
  * Prompt-On-Exit has been fixed since 0.1.9.  Closes: #101394
  * This includes Michal Politowski's new Polish translations.
    Closes: #101403

 -- Daniel Burrows <dburrows@debian.org>  Mon, 25 Jun 2001 19:43:27 -0400

aptitude (0.1.9-2) experimental; urgency=low

  * Clobber some unnecessary files (the package build now replaces them with
  symlinks)  (Closes: #10388)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 18 Jun 2001 20:43:01 -0400

aptitude (0.1.9-1) experimental; urgency=low

  * New upstream release

  * This is probably going to be the last release before 0.2.0 (the
  version numbers worked out conveniently for once); please tell me if
  you think there are bugs which need to be fixed before I release this
  for general use!

 -- Daniel Burrows <dburrows@debian.org>  Mon, 18 Jun 2001 08:50:34 -0400

aptitude (0.1.8-1) experimental; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri, 15 Jun 2001 10:11:09 -0400

aptitude (0.1.7-1) experimental; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon,  4 Jun 2001 23:25:41 -0400

aptitude (0.1.6-1) experimental; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Thu,  3 May 2001 21:07:39 -0400

aptitude (0.1.5-1) experimental; urgency=low

  * New upstream version.
    - addresses bug #95455, dealing with bad search patterns and reported by
      William Steve Applegate <wsapplegate@postmaster.co.uk>)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 27 Apr 2001 22:29:52 -0400

aptitude (0.1.4-1) experimental; urgency=low

  * New upstream version.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 10 Apr 2001 08:13:57 -0400

aptitude (0.1.3-2) experimental; urgency=low

  * Make the extended description less inflammatory, and fix dumb indentation.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 23 Mar 2001 20:28:34 -0500

aptitude (0.1.3-1) experimental; urgency=low

  * New upstream version.  This will go into experimental as "aptitude";
    aptitude-beta is now an empty package depending on it.  (I was holding
    this out of experimental because apt wasn't up to handling
    experimental nicely and because it wasn't really even up to that.
    Both reasons are no longer valid.  Hence this goes into experimental)
  * Add build-depends, and don't install INSTALL.
    (was in stable, but I missed fixing it here)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 23 Mar 2001 17:54:26 -0500

aptitude (0.1.2-1) unstable; urgency=low

  * New upstream version (many changes, see NEWS)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 21 Feb 2001 21:19:16 -0500

aptitude (0.1.1-1) unstable; urgency=low

  * New upstream version (many changes, of course..)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue, 30 Jan 2001 09:08:09 -0500

aptitude (0.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun,  3 Dec 2000 22:49:59 -0500

aptitude (0.0.7.12-1) unstable; urgency=low

  * New upstream version.  Installation of a single package without affecting
   others is now (slightly hackily) supported; it can't be done in a much
   better way, unfortunately, although a few improvements will happen in the
   future.  (closes: #74824)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Mon, 27 Nov 2000 18:26:13 -0500

aptitude (0.0.7.11-1) unstable; urgency=low

  * New upstream version (closes: #78062)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 26 Nov 2000 15:46:44 -0500

aptitude (0.0.7.10-1) unstable; urgency=low

  * New upstream version.  (closes: #78000)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 26 Nov 2000 11:14:45 -0500

aptitude (0.0.7.9-1) unstable; urgency=low

  * New upstream version.  (closes: #77889)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sat, 25 Nov 2000 09:19:10 -0500

aptitude (0.0.7.8-1) unstable; urgency=low

  * New upstream version.  (closes: #77557, #77559)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Wed, 22 Nov 2000 22:25:32 -0500

aptitude (0.0.7.7-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sat, 28 Oct 2000 14:41:28 -0400

aptitude (0.0.7.6-2) unstable; urgency=low

  * Only install the upstream changelog once, thank you.  (closes: #74856)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Mon, 16 Oct 2000 07:57:16 -0400

aptitude (0.0.7.6-1) unstable; urgency=low

  * New upstream release.  Five-line fix applied; aptitude should now
   compile on the Hurd.  (closes: #74788)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 15 Oct 2000 10:48:36 -0400

aptitude (0.0.7.5-1) unstable; urgency=low

  * New upstream release.  Fixes thinko regarding "x"/"q". (closes: #74654)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Fri, 13 Oct 2000 21:28:24 -0400

aptitude (0.0.7.4-1) unstable; urgency=low

  * New upstream release, including better i18n and non-silly
   German translations.  (closes: #74409)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Wed, 11 Oct 2000 16:21:58 -0400

aptitude (0.0.7.3-1) unstable; urgency=low

  * New upstream release (really closes #71161)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue,  3 Oct 2000 08:23:38 -0400

aptitude (0.0.7.2-1) unstable; urgency=low

  * New upstream release
   (closes: #71844, #71161, #71091, #71558, #62368)

  * This ought to be linked with ncurses5 (closes: #69341)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sat, 23 Sep 2000 09:17:48 -0400

aptitude (0.0.7.1-1) unstable; urgency=low

  * This one will hopefully go into the Debian archives..

  * New upstream release (Closes: #61315, #64518)
   (of course, this isn't a real Debian package, and so these bugs
    might not actually get closed... I'm tempted to also finalize 60156,
    62368, 63358, and 66711, just on the grounds that the reports are using
    ancient/doogieized versions and/or failed to respond to requests for
    more info, but that wouldn't be nice now would it?)

  * Eliminated a lot of unneeded cruft in debian/

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Thu,  3 Aug 2000 18:49:17 -0400

aptitude (0.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue, 18 Apr 2000 22:19:00 -0400

aptitude (0.0.6a-2) unstable; urgency=low

  * Remove /var/state/aptitude when the package is purged.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun,  6 Feb 2000 18:42:14 -0500

aptitude (0.0.6a-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun,  6 Feb 2000 12:58:13 -0500
